<?php
/***************Plugin Functions****************/
function ab_sub_form_menu() {
	
$my_page = 	add_menu_page( 'Форма', 'Форма', 'manage_options', 'ab-sub-form-option', 'ab_sub_form_plugin_options' );
$my_slides = add_submenu_page( 'ab-sub-form-option', 'Слайды', 'Слайды', 'manage_options', 'ab-slides-option', 'ab_slides_page');
add_submenu_page( 'ab-sub-form-option', 'Лицензия', 'Лицензия', 'manage_options', EDD_FORM_PLUGIN_LICENSE_PAGE, 'ab_licence_page');

add_action('load-' . $my_page, 'ab_load_admin_js' );
add_action('load-' . $my_page, 'wppagescriptremover');

add_action('load-' . $my_slides, 'ab_load_admin_js' );
add_action('load-' . $my_slides, 'wppagescriptremover');

}
function ab_load_admin_js(){
add_action( 'admin_enqueue_scripts', 'ab_enqueue_admin_js' );
}
function ab_enqueue_admin_js(){
	    
        wp_enqueue_script('jquery-main', plugins_url('js/jquery-3.3.1.js', __FILE__ ));
       
        wp_enqueue_script('jquery-ui', plugins_url('js/jquery-ui-1.10.4.custom.js', __FILE__ )); 
       
		wp_enqueue_style('jquery-ui-css', plugins_url('css/jquery-ui.css', __FILE__ ));		   
		wp_enqueue_script('custom-jquery', plugins_url('js/custom-jquery.js', __FILE__ ));
		wp_enqueue_script('modernizr', plugins_url('js/modernizr.js', __FILE__ ));
		wp_enqueue_script('color-picker', plugins_url('js/color-picker.min.js', __FILE__ ), array( 'wp-color-picker' ), false, true);
		wp_enqueue_script('cookies', plugins_url('js/jquery.cookie.js', __FILE__ ));
		wp_enqueue_script('cycle', plugins_url('js/jquery.cycle2.js', __FILE__ ));
		wp_enqueue_script('tile', plugins_url('js/jquery.cycle2.tile.min.js', __FILE__ ));
		wp_enqueue_style( 'wp-color-picker' );
		wp_enqueue_style('custom-css', plugins_url('css/style.css', __FILE__ ));
		wp_enqueue_style('animate', plugins_url('js/animate.css', __FILE__ ));

		wp_enqueue_style('slideshow', plugins_url('js/slideshow.css', __FILE__ ));
		wp_enqueue_media();
		wp_enqueue_style('icons', plugins_url('css/font-awesome.css', __FILE__ ));
		wp_enqueue_style('fonе1', '//fonts.googleapis.com/css?family=Marck+Script&subset=cyrillic');
	    wp_enqueue_style('font2', '//fonts.googleapis.com/css?family=Neucha&subset=cyrillic');
	    wp_enqueue_style('font3', '//fonts.googleapis.com/css?family=Poiret+One&subset=cyrillic');
	    wp_enqueue_style('font4', '//fonts.googleapis.com/css?family=Open+Sans&subset=cyrillic');
	    wp_enqueue_style('font5', '//fonts.googleapis.com/css?family=Open+Sans|Open+Sans+Condensed:300&subset=cyrillic');
	    wp_enqueue_style('font6', '//fonts.googleapis.com/css?family=Lobster&subset=cyrillic');
	    wp_enqueue_style('font7', '//fonts.googleapis.com/css?family=PT+Sans+Narrow&subset=cyrillic');
        wp_enqueue_style('font8', '//fonts.googleapis.com/css?family=Comfortaa&subset=cyrillic');
        wp_enqueue_style('font9', '//fonts.googleapis.com/css?family=Didact+Gothic&subset=cyrillic');
        wp_enqueue_style('font-css10', '//fonts.googleapis.com/css?family=Roboto:100&subset=cyrillic');
}

function wppagescriptremover() {
remove_action('admin_footer','wppage_shortcode_settings_admin_js');
remove_filter('wp_nav_menu_items','storefront_header_cart', 10, 2);
}
add_action( 'admin_menu', 'ab_sub_form_menu' );

  add_action('admin_head', 'script_bloginfo');
    function script_bloginfo()
    { ?>  
 

   
       <script type="text/javascript">
   var bloginfo_url = "<?php echo bloginfo('url');?>/wp-content/plugins/wpform/images/videofon.png";
</script>
  <?php ;}  
  

// Licence begin
function edd_form_register_option() {
	// creates our settings in the options table
	register_setting('edd_form_license', 'edd_form_license_key', 'edd_form_sanitize_license' );
}
add_action('admin_init', 'edd_form_register_option');

function edd_form_sanitize_license( $new ) {
	$old = get_option( 'edd_form_license_key' );
	if( $old && $old != $new ) {
		delete_option( 'edd_form_license_status' ); // new license has been entered, so must reactivate
	}
	return $new;
}



/************************************
* this illustrates how to activate 
* a license key
*************************************/

function edd_form_activate_license() {

	// listen for our activate button to be clicked
	if( isset( $_POST['edd_fm_license_activate'] ) ) {

		// run a quick security check 
	 	if( ! check_admin_referer( 'edd_form_nonce', 'edd_form_nonce' ) ) 	
			return; // get out if we didn't click the Activate button

		// retrieve the license from the database
		$license = trim( get_option( 'edd_form_license_key' ) );
			

		// data to send in our API request
		$api_params = array( 
			'edd_action'=> 'activate_license', 
			'license' 	=> $license, 
			'item_id' => EDD_FORM_ITEM_ID,
			'url'        => home_url()
		);
		
		// Call the custom API.
		
		$response = wp_remote_post( EDD_FORM_STORE_URL, array( 'timeout' => 15, 'sslverify' => false, 'body' => $api_params ) );

		// make sure the response came back okay
		
			if ( is_wp_error( $response ) || 200 !== wp_remote_retrieve_response_code( $response ) ) {
			$message =  ( is_wp_error( $response ) && ! empty( $response->get_error_message() ) ) ? $response->get_error_message() : __( 'An error occurred, please try again.' );
		} else {
			$license_data = json_decode( wp_remote_retrieve_body( $response ) );
			if ( false === $license_data->success ) {
				switch( $license_data->error ) {
					case 'expired' :
						$message = sprintf(
							__( 'Your license key expired on %s.' ),
							date_i18n( get_option( 'date_format' ), strtotime( $license_data->expires, current_time( 'timestamp' ) ) )
						);
						break;
					case 'revoked' :
						$message = __( 'Your license key has been disabled.' );
						break;
					case 'missing' :
						$message = __( 'Invalid license.' );
						break;
					case 'invalid' :
					case 'site_inactive' :
						$message = __( 'Your license is not active for this URL.' );
						break;
					case 'item_name_mismatch' :
						$message = sprintf( __( 'This appears to be an invalid license key for %s.' ), EDD_FORM_ITEM_NAME );
						break;
					case 'no_activations_left':
						$message = __( 'Your license key has reached its activation limit.' );
						break;
					default :
						$message = __( 'An error occurred, please try again.' );
						break;
				}
			}
		}
		// Check if anything passed on a message constituting a failure
		if ( ! empty( $message ) ) {
			$base_url = admin_url( 'admin.php?page=' . EDD_FORM_PLUGIN_LICENSE_PAGE );
			$redirect = add_query_arg( array( 'form_activation' => 'false', 'message' => urlencode( $message ) ), $base_url );
			wp_redirect( $redirect );
			exit();
		}
		// $license_data->license will be either "valid" or "invalid"
		update_option( 'edd_form_license_status', $license_data->license );
		wp_redirect( admin_url( 'admin.php?page=' . EDD_FORM_PLUGIN_LICENSE_PAGE ) );
		exit();
	}
}
add_action('admin_init', 'edd_form_activate_license');
		
		
/***********************************************
* Illustrates how to deactivate a license key.
* This will descrease the site count
***********************************************/

function edd_form_deactivate_license() {

	// listen for our activate button to be clicked
	if( isset( $_POST['edd_fm_license_deactivate'] ) ) {

		// run a quick security check 
	 	if( ! check_admin_referer( 'edd_form_nonce', 'edd_form_nonce' ) ) 	
			return; // get out if we didn't click the Activate button

		// retrieve the license from the database
		$license = trim( get_option( 'edd_form_license_key' ) );
			

		// data to send in our API request
		$api_params = array( 
			'edd_action'=> 'deactivate_license', 
			'license' 	=> $license, 
			'item_name'  => urlencode( EDD_FORM_ITEM_NAME ), // the name of our product in EDD
			'url'        => home_url()
		);
		
		// Call the custom API.
		
		$response = wp_remote_post( EDD_FORM_STORE_URL, array( 'timeout' => 15, 'sslverify' => false, 'body' => $api_params ) );

		// make sure the response came back okay

		
		if ( is_wp_error( $response ) || 200 !== wp_remote_retrieve_response_code( $response ) ) {

			if ( is_wp_error( $response ) ) {
				$message = $response->get_error_message();
			} else {
				$message = __( 'An error occurred, please try again.' );
			}

			$base_url = admin_url( 'admin.php?page=' . EDD_FORM_PLUGIN_LICENSE_PAGE );
			$redirect = add_query_arg( array( 'form_activation' => 'false', 'message' => urlencode( $message ) ), $base_url );

			wp_redirect( $redirect );
			exit();
		}

		
		
		
		// decode the license data
		$license_data = json_decode( wp_remote_retrieve_body( $response ) );
		
		// $license_data->license will be either "deactivated" or "failed"
		if( $license_data->license == 'deactivated' ) {
			delete_option( 'edd_form_license_status' );
			}
			
			wp_redirect( admin_url( 'admin.php?page=' . EDD_FORM_PLUGIN_LICENSE_PAGE ) );
		exit();

	}
}
add_action('admin_init', 'edd_form_deactivate_license');


/************************************
* this illustrates how to check if 
* a license key is still valid
* the updater does this for you,
* so this is only needed if you
* want to do something custom
*************************************/

function edd_form_check_license() {

	global $wp_version;

	$license = trim( get_option( 'edd_form_license_key' ) );
		

	$api_params = array( 
		'edd_action' => 'check_license', 
		'license' => $license, 
		'item_name' => urlencode( $item_name ),
		'url' => home_url()
	);

	// Call the custom API.

	$response = wp_remote_post( EDD_FORM_STORE_URL, array( 'timeout' => 15, 'sslverify' => false, 'body' => $api_params ) );



if ( is_wp_error( $response ) )
		return false;

	$license_data = json_decode( wp_remote_retrieve_body( $response ) );

	if( $license_data->license == 'valid' ) {
		echo 'valid'; exit;
		// this license is still valid
	} else {
		echo 'invalid'; exit;
		// this license is no longer valid
	}
}


/**
 * This is a means of catching errors from the activation method above and displaying it to the customer
 */
function edd_form_admin_notices() {
	if ( isset( $_GET['form_activation'] ) && ! empty( $_GET['message'] ) ) {

		switch( $_GET['form_activation'] ) {

			case 'false':
				$message = urldecode( $_GET['message'] );
				?>
				<div class="error">
					<p><?php echo $message; ?></p>
				</div>
				<?php
				break;

			case 'true':
			default:
				// Developers can put a custom success message here for when activation is successful if they way.
				break;

		}
	}
}
add_action( 'admin_notices', 'edd_form_admin_notices' );


	
// Licence end

function ab_licence_page() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
	
$license 	= get_option( 'edd_form_license_key' );
$status 	= get_option( 'edd_form_license_status' ); ?>


<h3>Лицензия</h3>
		<form method="post" action="options.php">
		
			<?php settings_fields('edd_form_license'); ?>
			
			
			
			<table class="form-table">
				<tbody>
					<tr valign="top">	
						<th scope="row" valign="top">
							<?php _e('Код лицензии'); ?>
						</th>
						<td>
							<input id="edd_form_license_key" name="edd_form_license_key" type="text" class="regular-text" value="<?php esc_attr_e( $license ); ?>" />
							<label class="description" for="edd_form_license_key"><?php _e('Введите Ваш код лицензии'); ?></label>
						</td>
					</tr>
					<?php if( false !== $license ) { ?>
						<tr valign="top">	
							<th scope="row" valign="top">
								<?php _e('Активировать Лицензию'); ?>
							</th>
							<td>
								<?php if( $status !== false && $status == 'valid' ) { ?>
									<span style="color:green;"><?php _e('активная'); ?></span>
									<?php wp_nonce_field( 'edd_form_nonce', 'edd_form_nonce' ); ?>
									<input type="submit" class="button-secondary" name="edd_fm_license_deactivate" value="<?php _e('Деактивировать Лицензию'); ?>"/>
									
	<?php
} else {
									wp_nonce_field( 'edd_form_nonce', 'edd_form_nonce' ); ?>
									<input type="submit" class="button-secondary" name="edd_fm_license_activate" value="<?php _e('Активировать Лицензию'); ?>"/>
								<?php } ?>
							</td>
						</tr>
					<?php } ?>
				</tbody>
			</table>	
			<?php submit_button(); ?>
		
		</form>
								
</div>
<?php ;}


function wpform_slider() {
$catalog_settings = get_option('ab_sub_slides');
update_option('ab_sub_slides', $catalog_settings);
}
function ab_slides_page() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
	
$license 	= get_option( 'edd_form_license_key' );
$status 	= get_option( 'edd_form_license_status' ); ?>

<div class="wrap">
<script>$("#message").show().delay(2000).fadeOut();</script>

<?php $slide_number = array( '1' => '1', '2' => '2', '3' => '3');
	$slide_alimation = array ('fadeIn' => 'Появляется', 'fadeInLeft' => 'Выплывает слева', 'fadeInRight' => 'Выплывает справа', 'fadeInUp' => 'Выплывает снизу', 'fadeInDown' => 'Выплывает сверху');
	$text_type = array( '1' => 'Стиль заголовка', '2' => 'Стиль подзаголовка', '3' => 'Стиль описания');
?>

<?php
global $sub_form;
global $sub_slides;

if(isset($_POST["submit"])){ 
 $sub_slides['ab_sub_slides_insert'] = $_POST['ab_sub_slides_insert'];
 $sub_slides['ab_show'] = $_POST['ab_show'];
 $sub_slides['form_width'] = $_POST['form_width'];
 $sub_slides['form_height'] = $_POST['form_height'];
 $sub_slides['ab_form_padding_top'] = $_POST['ab_form_padding_top'];
 $sub_slides['ab_form_padding_bottom'] = $_POST['ab_form_padding_bottom'];
 $sub_slides['input_size_button_height'] = $_POST['input_size_button_height'];
 $sub_slides['bottom_color'] = $_POST['bottom_color'];
 $sub_slides['button_text_color'] = $_POST['button_text_color'];
 $sub_slides['ab_text_font'] = $_POST['ab_text_font'];
 $sub_slides['text_button'] = $_POST['text_button'];
 $sub_slides['ab_button_text_font'] = $_POST['ab_button_text_font'];
 $sub_slides['ab_button_text_size'] = $_POST['ab_button_text_size'];
 $sub_slides['ab_button_text_style'] = $_POST['ab_button_text_style'];
 $sub_slides['ab_button_text_shadow'] = $_POST['ab_button_text_shadow'];
 $sub_slides['link_slide'] = $_POST['link_slide'];
 $sub_slides['slide_style'] = $_POST['slide_style'];
 $sub_slides['slide_alimation'] = $_POST['slide_alimation'];
 $sub_slides['slide_position'] = $_POST['slide_position'];
 $sub_slides['slide_bg_text'] = $_POST['slide_bg_text'];
 $sub_slides['slide_bg_opacity'] = $_POST['slide_bg_opacity'];
 $sub_slides['slide_bg_color'] = $_POST['slide_bg_color'];
 $sub_slides['ab_style_border'] = $_POST['ab_style_border'];
 $sub_slides['ab_border_round'] = $_POST['ab_border_round'];
 $sub_slides['border_color'] = $_POST['border_color'];
 $sub_slides['fon_slide_color'] = $_POST['fon_slide_color'];
 $sub_slides['bg_slide_image'] = $_POST['bg_slide_image'];
 $sub_slides['slide_repeat_bg'] = $_POST['slide_repeat_bg'];
 $sub_slides['slide_repeat_position'] = $_POST['slide_repeat_position'];
 $sub_slides['fixed_position'] = $_POST['fixed_position'];
 $sub_slides['ab_form_margin_top'] = $_POST['ab_form_margin_top'];
 $sub_slides['ab_form_margin_bottom'] = $_POST['ab_form_margin_bottom'];
 $sub_slides['ab_style_border_size'] = $_POST['ab_style_border_size'];
 $sub_slides['width_block'] = $_POST['width_block'];
 $sub_slides['margin_block_top'] = $_POST['margin_block_top'];
  $sub_slides['margin_block_bottom'] = $_POST['margin_block_bottom'];
   $sub_slides['ab_border_button'] = $_POST['ab_border_button']; 
 $sub_slides['ab_border_button_round'] = $_POST['ab_border_button_round']; 
 $sub_slides['border_button_color'] = $_POST['border_button_color']; 
 $sub_slides['border_button_color_hover'] = $_POST['border_button_color_hover']; 
  $sub_slides['bottom_color_hover'] = $_POST['bottom_color_hover'];
  $sub_slides['button_text_color_hover'] = $_POST['button_text_color_hover'];
  $sub_slides['slide_first'] = $_POST['slide_first'];  
  $sub_slides['slide_speed'] = $_POST['slide_speed'];  
  $sub_slides['slide_timeout'] = $_POST['slide_timeout'];


 foreach ( $slide_number as $num => $sl_num ) :
 $sub_slides['custom_bg'.$sl_num] = $_POST['custom_bg'.$sl_num];
 $sub_slides['text_slide'. $sl_num] = $_POST['text_slide'.$sl_num];
 $sub_slides['subtitle_slide'. $sl_num] = $_POST['subtitle_slide'.$sl_num];
 $sub_slides['link_slide'. $sl_num] = $_POST['link_slide'.$sl_num];
 $sub_slides['desc_slide'. $sl_num] = $_POST['desc_slide'.$sl_num];
 $sub_slides['repeat_bg'. $sl_num] = $_POST['repeat_bg'.$sl_num];
 $sub_slides['repeat_position'. $sl_num] = $_POST['repeat_position'.$sl_num];
$sub_slides['custom_bg'.$sl_num] = $_POST['custom_bg'.$sl_num];
$sub_slides['background_size'.$sl_num] = $_POST['background_size'.$sl_num];

 endforeach;   
 foreach ( $text_type as $type => $typetext ) :
 $sub_slides['slide_text_font'. $type] = $_POST['slide_text_font'.$type];
 $sub_slides['slide_text_size'. $type] = $_POST['slide_text_size'.$type];
 $sub_slides['slide_text_strong'. $type] = $_POST['slide_text_strong'.$type];
 $sub_slides['slide_text_italic'. $type] = $_POST['slide_text_italic'.$type];
 $sub_slides['slide_text_shadow'. $type] = $_POST['slide_text_shadow'.$type];
 $sub_slides['slide_text_color'. $type] = $_POST['slide_text_color'.$type]; 
 endforeach;                
 update_option('ab_sub_slides',$sub_slides);
 echo '<div id="message" class="updated fade"><p>Настройки сохранены</p></div>'; } ?>

<?php $button_align = array( 'left' => 'Слева', 'right' => 'Справа');
$form_width = array('1200px' => '1200px', '100%' => '100%');
$ab_font = array( 'arial' => 'Arial',
		'verdana'   => 'Verdana, Geneva',
		'helvetica' => 'Helvetica',
		'tahoma'    => 'Tahoma, Geneva',
		'\'Lucida Console\', Monaco, monospace' => 'Lucida Console',
		'Open Sans'    => 'Open Sans',
		'Open Sans Condensed'  => 'Open Sans Condensed',
		'PT Sans Narrow'  => 'PT Sans Narrow',	
		'Trebuchet' => 'Trebuchet',
		'georgia'   => 'Georgia',
		'times'     => 'Times New Roman',
		'palatino'  => 'Palatino',
		'\'Comic Sans MS\', cursive' => 'Comic Sans MS',
		'\'Courier New\', monospace' => 'Courier New',
		'Impact, Charcoal, sans-serif' => 'Impact', 
		'Marck Script'  => 'Marck Script',
		'Neucha'  => 'Neucha',
		'Poiret One'  => 'Poiret One',
		'Lobster'  => 'Lobster',
		'Comfortaa'  => 'Comfortaa',
		'Didact Gothic'  => 'Didact Gothic',
		'Roboto'  => 'Roboto' );

$ab_size = array( '9' => '9px', '10' => '10px', '11' => '11px', '12' => '12px', '13' => '13px', '14' => '14px', '15' => '15px', '16' => '16px', '17' => '17px', '18' => '18px', '19' => '19px', '20' => '20px', '21' => '21px', '22' => '22px', '23' => '23px', '24' => '24px', '25' => '25px', '26' => '26px', '27' => '27px', '28' => '28px', '29' => '29px', '30' => '30px', '31' => '31px', '32' => '32px', '33' => '33px', '34' => '34px', '35' => '35px', '36' => '36px', '37' => '37px', '38' => '38px', '39' => '39px', '40' => '40px', '41' => '41px', '42' => '42px', '43' => '43px', '44' => '44px', '45' => '45px', '46' => '46px', '47' => '47px', '48' => '48px', '49' => '49px', '50' => '50px', '51' => '51px', '52' => '52px', '53' => '53px', '54' => '54px', '55' => '55px', '56' => '56px', '57' => '57px', '58' => '58px', '59' => '59px', '60' => '60px' , '61' => '61px', '62' => '62px', '63' => '63px', '64' => '64px', '65' => '65px', '66' => '66px', '67' => '67px', '68' => '68px', '69' => '69px', '70' => '70px');

$ab_style = array( 'normal' => 'Обычный', 'italic' => 'Наклонный', 'bold' => 'Жирный', 'bold italic' => 'Жирный Наклон');

$ab_align = array( 'left' => 'Слева', 'right' => 'Справа', 'center' => 'По-центру', 'justify' => 'Равномерно');

$repeat_bg = array(
		'no-repeat' =>  'Не повторять',
		'repeat-x'  => 'Повторять по горизонтали',
		'repeat-y'  => 'Повторять по вертикали',
		'repeat'    =>  'Повторять все'
		);

$repeat_position = array(
		'top left'      => 'Сверху Слева',
		'top center'    =>  'Сверху По Центру',
		'top right'     =>  'Сверху Справа',
		'center left'   =>  'Посередине Слева',
		'center center' =>  'Посередине По Центру',
		'center right'  =>  'Посередине Справа',
		'bottom left'   => 'Внизу Слева',
		'bottom center' =>  'Внизу По Центру',
		'bottom right'  =>  'Внизу Справа'
		);
		
		$slide_style = array(
		'fade'      => 'Появление',
		'scrollHorz'    =>  'Перелистывание - Справа налево',
		'tileSlide'     =>  'Дробление - сверху вниз'
		);
		
$slide_position = array(
		'left' =>  'Слева',
		'right'  => 'Справа',
		'center'  => 'По центру, на всю ширину',
		);
		
$ab_opaque = array( '1' => 'Не прозрачный', '0.8' => 'Легкая прозрачность', '0.6' => 'Средняя прозрачность', '0.4' => 'Сильная прозрачность', '0.2' => 'Очень сильная прозрачность' );
		
$ab_style_border = array( 'none' => 'Нет', 'solid' => 'Сплошная', 'dotted' => 'Точки', 'dashed' => 'Черточки', 'double' => 'Двойная');

$ab_border_round = array( '0' => 'Нет', '1' => '1px', '2' => '2px', '3' => '3px', '4' => '4px', '5' => '5px', '6' => '6px', '7' => '7px', '8' => '8px', '9' => '9px', '10' => '10px', '11' => '11px', '12' => '12px', '13' => '13px', '14' => '14px', '15' => '15px');


$fixed_position = array( 'scroll' => __( 'Прокручивается', 'options_framework_theme' ), 'fixed'  => __( 'Фиксирован', 'options_framework_theme')
);

$ab_style_border_size = array( '1' => '1px', '2' => '2px', '3' => '3px', '4' => '4px', '5' => '5px'); 


$ab_border_button = array( '0px' => 'Нет', '1px' => '1px', '2px' => '2px', '3px' => '3px', '4px' => '4px');
$ab_border_button_round = array( '0px' => 'Нет', '1px' => '1px', '2px' => '2px', '3px' => '3px', '4px' => '4px', '5px' => '5px', '6px' => '6px', '7px' => '7px', '8px' => '8px', '9px' => '9px', '10px' => '10px', '11px' => '11px', '12px' => '12px', '13px' => '13px', '14px' => '14px', '54px' => '15px', '16px' => '16px', '17px' => '17px', '18px' => '18px', '19px' => '19px', '20px' => '20px', '21px' => '21px', '22px' => '22px', '23px' => '23px', '24px' => '24px', '25px' => '25px', '26px' => '26px', '27px' => '27px', '28px' => '28px', '29px' => '29px', '30px' => '30px');

						
						
$background_size = 	array('cover' => 'Фон покрывает все поле', 'contain' => 'Фон покрывает поле сохраняя пропорции изображения', 'initial' => 'Исходный размер изображения' );



?>

<form method="post" action=""> 
<?php settings_fields( 'update-options' ); ?>


<div style="margin-top:10px; margin-bottom:10px; text-align:right; ">
<div>

<input type="checkbox" id="check2" name="ab_sub_slides_insert" value="1" <?php if ( $sub_slides['ab_sub_slides_insert'] ) echo 'checked="checked"'; ?> />  <label for="check2" style="font-size:16px;"> Активировать слайды?</label>
</div></div>
<div style="background:#fff; margin-bottom:20px; border:1px solid #ccc;"> 
<?php require_once dirname( __FILE__ ) .'/admin-slides.php';  ?>
<div  style="float:right; margin-top:10px; height:40px; width:460px">
<div style="float:right"><input type="submit" value="Сохранить настройки" class="button1 button-primary" name="submit" /></div>
</div>
<div style="clear:both"></div>
<div style="padding:20px;">
<div id="tabs">
<ul>
<li><a href="#fragment-1">Ширина/Высота/Отступы блока</a></li>
<li><a href="#fragment-2">Слайды</a></li>
<li><a href="#fragment-3">Стиль слайдов</a></li>
<li><a href="#fragment-5">Стиль текста</a></li>
<li><a href="#fragment-4">Стиль кнопки</a></li>
</ul>
<div id="fragment-1"><table class="form-table">	
						
<tr valign="top">
<th scope="row">Где показывать слайды:</th>
<td colspan="2">
<input type="checkbox" name="slide_first" value="1" <?php if ( $sub_slides['slide_first']) echo 'checked="checked"'; ?>>	Поставьте галочку, если хотите, чтобы слайды были над формой подписки (если вы используете и форму и слайды)
<br>
<br>



								
<input type="radio" name="ab_show" value="0" <?php if ( $sub_slides['ab_show'] ==  '0' ) echo 'checked="checked"'; ?> /> <label>Только на главной</label> <br>
<input type="radio" name="ab_show" value="1" <?php if ( $sub_slides['ab_show'] ==  '1' ) echo 'checked="checked"'; ?> /> <label>На всех страницах</label> 
<br>
<input type="radio" name="ab_show" value="2" <?php if ( $sub_slides['ab_show'] ==  '2' ) echo 'checked="checked"'; ?> /> <label>На всех страницах, кроме главной</label> 	
</td></tr>			
						
<tr valign="top">
<th scope="row">Ширина блока:</th>
<td colspan="2">
<select name="form_width">
<?php foreach ( $form_width as $width => $width_form ) : ?>
<option value="<?php echo $width; ?>" <?php if ( $sub_slides['form_width'] == $width ) echo 'selected'; ?>><?php echo $width_form; ?></option>
<?php endforeach; ?>		
</select>
</td>
</tr>	

<tr valign="top">
<th scope="row">Высота блока:</th>
<td colspan="2">
<input type="text" name="form_height" value="<?php esc_attr_e($sub_slides['form_height']); ?>" size="5"/>
</td>
</tr>	
						
<tr valign="top">
<th scope="row">Отступ внутри блока сверху/снизу (до слайдов): </th>
<td> 
сверху: <input type="text" size="5" name="ab_form_padding_top" value="<?php if ( isset( $sub_slides['ab_form_padding_top'] ) ) echo $sub_slides['ab_form_padding_top']; ?>" />
снизу:  <input type="text" size="5" name="ab_form_padding_bottom" value="<?php if ( isset( $sub_slides['ab_form_padding_bottom'] ) ) echo $sub_slides['ab_form_padding_bottom']; ?>" /> 
</td></tr>
					
<tr valign="top">
<th scope="row">Отступ за пределами блока сверху/снизу: </th>
<td> 
						
сверху: <input type="text" size="5" name="ab_form_margin_top" value="<?php if ( isset( $sub_slides['ab_form_margin_top'] ) ) echo $sub_slides['ab_form_margin_top']; ?>" /> 
снизу:  <input type="text" size="5" name="ab_form_margin_bottom" value="<?php if ( isset( $sub_slides['ab_form_margin_bottom'] ) ) echo $sub_slides['ab_form_margin_bottom']; ?>" /> 
</td></tr>
					
					
			<tr valign="top">
						<th scope="row">Общий фон блока: <span style="font-size:12px; font-weight:normal">(Если загружено изображение и установлен цвет фона, изображение будет идти поверх цвета) </span></th>
						<td> 
						
						
<input id="bg_slide_image" class="bg_upload_image" type="text" size="36" name="bg_slide_image" value="<?php if ( isset( $sub_slides['bg_slide_image'] ) ) echo $sub_slides['bg_slide_image']; ?>" placeholder="Файл не выбран" /> 
<input id="ab_slide_bg_upload" class="bg_slide_button" type="button" value="Загрузить изображение" />
<br> 
<div class="screen_bg_slide"></div>
   
  <?php if ( $sub_slides['bg_slide_image'] != '' ) { echo '
		 <div class="screenshot_bg_slide"><img src="'. $sub_slides['bg_slide_image'].'"><a class="remove-image-bg">Удалить</a></div>';
		} ?>
		
		
	
	<div style="clear:both;"></div>

	  <div style="margin-top:0px; float:left;">	
				<select name="slide_repeat_bg">
				<?php foreach ( $repeat_bg as $repeat => $repear_r ) : ?>
				<option value="<?php echo $repeat; ?>" <?php if ( $sub_slides['slide_repeat_bg'] == $repeat ) echo 'selected'; ?>><?php echo $repear_r; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
					<div style="margin-top:0px; float:left;">	
				<select name="slide_repeat_position">
				<?php foreach ( $repeat_position as $pos => $pos_rep ) : ?>
				<option value="<?php echo $pos; ?>" <?php if ( $sub_slides['slide_repeat_position'] == $pos ) echo 'selected'; ?>><?php echo $pos_rep; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
						<div style="margin-top:0px; float:left;">	
				<select name="fixed_position">
				<?php foreach ( $fixed_position as $pos => $pos_rep ) : ?>
				<option value="<?php echo $pos; ?>" <?php if ( $sub_slides['fixed_position'] == $pos ) echo 'selected'; ?>><?php echo $pos_rep; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
							
		
		
		<div style="clear:both; padding-top:30px;">
		Цвет фона:
		<input type="text" value="<?php if ( isset( $sub_slides['fon_slide_color'] ) ) echo $sub_slides['fon_slide_color']; ?>" class="my-color-field" name="fon_slide_color"/>  
		</div>
		
					</td>
					</tr>
</table>

</div>
<div id="fragment-2">
<table class="form-table">	
<?php foreach ( $slide_number as $num => $sl_num ) : ?>
<tr valign="top"><td>
<style>
.remove-slide-<?php echo $sl_num;?>
{background:url(<?php echo $imageurl;?>ico-delete.png) no-repeat;
  width:16px;
   bottom:4px;
   display:block;
	float:left;
	padding:0;
	position:absolute;
	left:-4px;
	text-indent:-9999px;}
	
	
</style>
<script>
jQuery(document).ready(function($){
var custom_uploader;
$('.upload_bg_button_<?php echo $sl_num;?>').click(function(e) {
e.preventDefault();
if (custom_uploader) {
custom_uploader.open();
return;}
custom_uploader = wp.media.frames.file_frame = wp.media({
title: 'Choose Image',
button: {
text: 'Choose Image'
},
multiple: false
});
custom_uploader.on('select', function() {
attachment = custom_uploader.state().get('selection').first().toJSON();
$('.upload_bg_<?php echo $sl_num;?>').val(attachment.url);
$(".slide_<?php echo $sl_num;?>").after("<div class='screen_slide_<?php echo $sl_num;?>'><img src=" +attachment.url+" style='width:200px;'> <a class='remove-slide-<?php echo $sl_num;?>'>Удалить</a></div>   ");
});
custom_uploader.open();
});
$( ".remove-slide-<?php echo $sl_num;?>" ).click(function() {
  $( ".screen_slide_<?php echo $sl_num;?>" ).hide("blind", { direction: "up" }, "slow");
  $(".upload_bg_<?php echo $sl_num;?>").val("");
});
});
</script>
<input id="custom_bg<?php echo $sl_num;?>" class="upload_bg_<?php echo $sl_num;?>" type="text" size="36" name="custom_bg<?php echo $sl_num;?>" value="<?php if ( isset( $sub_slides['custom_bg'. $sl_num] ) ) echo $sub_slides['custom_bg'. $sl_num]; ?>" /> 
    <input id="custom_bg_upload" class="upload_bg_button_<?php echo $sl_num;?>" type="button" value="Загрузить изображение" />
    <br> 
    
    
     <div class="slide_<?php echo $sl_num;?>"></div>
   
  <?php if ( $sub_slides['custom_bg'. $sl_num] != '' ) { echo '
		 <div class="screen_slide_'. $sl_num.'"><img src="'. $sub_slides['custom_bg'. $sl_num].'"><a class="remove-slide-'. $sl_num .'">Удалить</a></div>';
		} ?>
		
	
		
		<div style="clear:both;"></div>
		
				 <div style="margin-top:0px; float:left;">	
				<select name="repeat_bg<?php echo $sl_num;?>">
				<?php foreach ( $repeat_bg as $repeat => $repear_r ) : ?>
				<option value="<?php echo $repeat; ?>" <?php if ( $sub_slides['repeat_bg'. $sl_num] == $repeat ) echo 'selected'; ?>><?php echo $repear_r; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
					<div style="margin-top:0px; float:left;">	
				<select name="repeat_position<?php echo $sl_num;?>">
				<?php foreach ( $repeat_position as $pos => $pos_rep ) : ?>
				<option value="<?php echo $pos; ?>" <?php if ( $sub_slides['repeat_position'. $sl_num] == $pos ) echo 'selected'; ?>><?php echo $pos_rep; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
					
					<div style="margin-top:0px; float:left;">	
				<select name="background_size<?php echo $sl_num;?>">
				<?php foreach ( $background_size as $pos => $pos_rep ) : ?>
				<option value="<?php echo $pos; ?>" <?php if ( $sub_slides['background_size'. $sl_num] == $pos ) echo 'selected'; ?>><?php echo $pos_rep; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
					
					<div style="clear:both;"></div>
		
		
		
</td>
<td>
		<div style="clear:both; width:500px">
		<strong>Заголовок:</strong>
		<textarea name="text_slide<?php echo $sl_num;?>"  rows="2" cols="68"><?php esc_attr_e(stripslashes($sub_slides['text_slide'. $sl_num])); ?></textarea>


		</div>
		
		<div style="clear:both; width:500px">
		 <br>
		<strong>Подзаголовок:</strong>
		<textarea name="subtitle_slide<?php echo $sl_num;?>"  rows="2" cols="68"><?php esc_attr_e(stripslashes($sub_slides['subtitle_slide'. $sl_num])); ?></textarea>
		
		</div>
		<div style="clear:both; width:500px">
		 <br>
		<strong>Описание:</strong>
		<textarea name="desc_slide<?php echo $sl_num;?>"  rows="4" cols="68"><?php esc_attr_e(stripslashes($sub_slides['desc_slide'. $sl_num])); ?></textarea>
		
		</div>
		
		
		 <br>
		
		<strong>Ссылка:</strong> <br>		<input type="text" name="link_slide<?php echo $sl_num;?>" value="<?php echo $sub_slides['link_slide'. $sl_num]; ?>" size="30"/>
</td></tr>
		
		
		<div style="clear:both;"></div>


<?php endforeach; ?>

						  </table>

</div>
<div id="fragment-3">

<table class="form-table">	
<tr><td colspan="2"><div style="font-size:18px;font-weight:bold;">Настройка слайдов</div></td></tr>
	<tr><td>
	
	
	 <strong>Скорость смены слайдов:</strong></td>
	 <td>
					     <input type="text" name="slide_speed" value="<?php esc_attr_e($sub_slides['slide_speed']); ?>" size="20"/> <br>(время указывается в миллисекундах. 1 секунда = 1000)</td></tr>

  <tr><td>
     <strong>Время показа слайда:</strong></td>
     <td>
					     <input type="text" name="slide_timeout" value="<?php esc_attr_e($sub_slides['slide_timeout']); ?>" size="20"/> <br>(время указывается в миллисекундах. 1 секунда = 1000)
					     <br><br>
	
	</td>
	</tr>
	
		<tr><td>
	
<strong>Стиль смены слайдов:</strong></td>
		
		<td><select name="slide_style">
				<?php foreach ( $slide_style as $s => $ss ) : ?>
				<option value="<?php echo $s; ?>" <?php if ( $sub_slides['slide_style'] == $s ) echo 'selected'; ?>><?php echo $ss; ?></option>
			<?php endforeach; ?>		
					
					</select></td>
	</td>
	</tr>
	
	
	<tr valign="top">
						<th scope="row">Граница блока (Стиль, Размер, Закругления, Цвет): </th>
						<td> 
						
						
					  <div style="margin-top:0px; float:left;">	
				<select name="ab_style_border">
				<?php foreach ( $ab_style_border as $border => $style_border ) : ?>
				<option value="<?php echo $border; ?>" <?php if ( $sub_slides['ab_style_border'] == $border ) echo 'selected'; ?>><?php echo $style_border; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					  <div style="margin-top:0px; float:left;">	
				<select name="ab_style_border_size">
				<?php foreach ( $ab_style_border_size as $size => $size_border ) : ?>
				<option value="<?php echo $size; ?>" <?php if ( $sub_slides['ab_style_border_size'] == $size ) echo 'selected'; ?>><?php echo $size_border; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
					<div style="margin-top:0px; float:left;">	
				<select name="ab_border_round">
				<?php foreach ( $ab_border_round as $border_r => $round_border ) : ?>
				<option value="<?php echo $border_r; ?>" <?php if ( $sub_slides['ab_border_round'] == $border_r ) echo 'selected'; ?>><?php echo $round_border; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
						
						
	            <input type="text" value="<?php if ( isset( $sub_slides['border_color'] ) ) echo $sub_slides['border_color']; ?>" class="my-color-field" name="border_color"/>  
	         
	            	
	                    </td>
					</tr>
					

	
	
	
	</table></div>
	<div id="fragment-5">

<table class="form-table">	
<tr><td colspan="2"><div style="font-size:18px;font-weight:bold;">Настройка текста</div></td></tr>	

		
		
		
		<?php foreach ( $text_type as $type => $typetext ) : ?>	
		
		<tr>
	
	<th scope="row"><?php echo $typetext;?></th>
	
	
	<td>

		
						
						<div style="margin-top:0px; float:left;">	
				<select name="slide_text_font<?php echo $type;?>" class="font_select">
				<?php foreach ( $ab_font as $font => $header_font ) : ?>
				<option value="<?php echo $font; ?>" <?php if ( $sub_slides['slide_text_font'.$type] == $font ) echo 'selected'; ?>><?php echo $header_font; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
					
		<div style="margin-top:0px; float:left;">	
				<select name="slide_text_size<?php echo $type;?>">
				<?php foreach ( $ab_size as $size => $header_size ) : ?>
				<option value="<?php echo $size; ?>" <?php if ( $sub_slides['slide_text_size'.$type] == $size ) echo 'selected'; ?>><?php echo $header_size; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
                
					
						<div style="margin-top:0px; float:left;">
				
						
<style>#style<?php echo $type;?> { margin-top: 0px; margin-left:3px;}

#style<?php echo $type;?> .ui-button-text-only .ui-button-text
{padding:3px 10px;}	</style>
<script>$(function() {
$( "#styletext<?php echo $type;?>" ).button();
$( "#style<?php echo $type;?>" ).buttonset();
});
</script>
				
					<div id="style<?php echo $type;?>" style="float:left; margin-top:2px">
  <input type="checkbox" name="slide_text_strong<?php echo $type;?>" value="1" <?php if ( $sub_slides['slide_text_strong'.$type]) echo 'checked="checked"'; ?> id="styletext<?php echo $type;?>1"><label for="styletext<?php echo $type;?>1"><strong>B</strong></label>
  <input type="checkbox" name="slide_text_italic<?php echo $type;?>" value="1" <?php if ( $sub_slides['slide_text_italic'.$type]) echo 'checked="checked"'; ?> id="styletext<?php echo $type;?>2"><label for="styletext<?php echo $type;?>2"><i>I</i></label>
  <input type="checkbox" name="slide_text_shadow<?php echo $type;?>" value="1" <?php if ( $sub_slides['slide_text_shadow'.$type]) echo 'checked="checked"'; ?> id="styletext<?php echo $type;?>3"><label for="styletext<?php echo $type;?>3"><span style="text-shadow:1px 1px 1px #000; color:#fff">T</span></label>
  </div>
						</div>			
				<div style="margin-top:2px; float:left;">
					<input type="text" value="<?php if ( isset( $sub_slides['slide_text_color'.$type] ) ) echo $sub_slides['slide_text_color'.$type]; ?>" class="my-color-field" name="slide_text_color<?php echo $type;?>"/> </div>
</td></tr>
<?php endforeach; ?>	
		
<tr><td colspan="2"><div style="font-size:18px;font-weight:bold;">Настройка блока</div></td></tr>	


<tr><th scope="row">Расположение</th><td>
	
	<select name="slide_position">
				<?php foreach ( $slide_position as $p => $sp ) : ?>
				<option value="<?php echo $p; ?>" <?php if ( $sub_slides['slide_position'] == $p ) echo 'selected'; ?>><?php echo $sp; ?></option>
			<?php endforeach; ?>		
					
					</select>
					</td></tr>
					
					
	<tr><th scope="row">Ширина</th><td>
	<input type="text" name="width_block" value="<?php esc_attr_e($sub_slides['width_block']); ?>" size="20"/>px				
	</td></tr>
	
		<tr><th scope="row">Отступы</th><td>
		
		сверху: <input type="text" size="5" name="margin_block_bottom" value="<?php if ( isset( $sub_slides['margin_block_bottom'] ) ) echo $sub_slides['margin_block_bottom']; ?>" />px 
		снизу:  <input type="text" size="5" name="margin_block_top" value="<?php if ( isset( $sub_slides['margin_block_top'] ) ) echo $sub_slides['margin_block_top']; ?>" />px



					
	</td></tr>



							
							

<tr><th scope="row">Фон</th><td>
	
<input type="checkbox" name="slide_bg_text" value="1" <?php if ( $sub_slides['slide_bg_text']) echo 'checked="checked"'; ?>>	Поставьте галочку, если хотите, чтобы под текстом был полупрозрачный фон.
<br>
<br>

<div style="margin-top:2px; float:left;">
					<input type="text" value="<?php if ( isset( $sub_slides['slide_bg_color'] ) ) echo $sub_slides['slide_bg_color']; ?>" class="my-color-field" name="slide_bg_color"/> </div>
				
				<select name="slide_bg_opacity">
				<?php foreach ( $ab_opaque as $p => $sp ) : ?>
				<option value="<?php echo $p; ?>" <?php if ( $sub_slides['slide_bg_opacity'] == $p ) echo 'selected'; ?>><?php echo $sp; ?></option>
			<?php endforeach; ?>		
					
					</select>	
					
	
</td></tr>
<tr><th scope="row">Анимация</th><td>
	
	<select name="slide_alimation">
				<?php foreach ( $slide_alimation as $p => $sp ) : ?>
				<option value="<?php echo $p; ?>" <?php if ( $sub_slides['slide_alimation'] == $p ) echo 'selected'; ?>><?php echo $sp; ?></option>
			<?php endforeach; ?>		
					
					</select>
	
</td></tr>
</table>	
</div>
<div id="fragment-4"><table class="form-table">
				<tr><td colspan="2"><div style="font-size:18px;font-weight:bold;">Настройка кнопки</div></td></tr>	
				
				
				
				<tr valign="top">
				
						
						<th scope="row">Цвет кнопки:</th>
						
						
					
						<td>
						<div style="margin-right:30px;">
						<div>цвет кнопки</div>
					<div>
					<input type="text" value="<?php if ( isset( $sub_slides['bottom_color'] ) ) echo $sub_slides['bottom_color']; ?>" class="my-color-field" name="bottom_color"/> 
					</div>
						</div> 
						
						<div style="float:left">
						<div> 
											 
						при наведении мышки</div>
						<div>
					 <input type="text" value="<?php if ( isset( $sub_slides['bottom_color_hover'] ) ) echo $sub_slides['bottom_color_hover']; ?>" class="my-color-field" name="bottom_color_hover"/>   
						</div></div> 
						
						</td></tr>	
						
						
						
						
						 <tr valign="top">
				
						<th scope="row">Граница кнопки:</th>
						<td>
					
						
						
						
						<div style="margin-top:0px; float:left;">	
						<div>Толщина /</div>
					<div>
				<select name="ab_border_button">
				<?php foreach ( $ab_border_button as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_slides['ab_border_button'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div></div>
					
					<div style="margin-top:0px; float:left;">	
						<div> &nbsp; Закругления &nbsp;</div>
					<div>
				<select name="ab_border_button_round">
				<?php foreach ( $ab_border_button_round as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_slides['ab_border_button_round'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div></div>
						
						
						<div style="float:left; margin-right:30px;">
						<div>цвет границы</div>
					<div>
					
					<input type="text" value="<?php if ( isset( $sub_slides['border_button_color'] ) ) echo $sub_slides['border_button_color']; ?>" class="my-color-field" name="border_button_color"/>  
 
					</div>
						</div>  
						
						<div style="float:left">
						<div> 
											 
						при наведении мышки</div>
						<div>
				<input type="text" value="<?php if ( isset( $sub_slides['border_button_color_hover'] ) ) echo $sub_slides['border_button_color_hover']; ?>" class="my-color-field" name="border_button_color_hover"/> 
						</div></div>	
						
						
						</td>
					</tr>	

						
						
						
										<tr valign="top">
						<th scope="row">Текст на кнопке:</th>
						  <td>
							<input type="text" name="text_button" value="<?php esc_attr_e($sub_slides['text_button']); ?>" size="20"/>
						  </td>
					</tr>	
					
					<tr valign="top">
						<th scope="row">Размер, шрифт, стиль, цвет, тень</th>
						<td> 
						
						<div style="margin-top:0px; float:left;">	
				<select name="ab_button_text_font" id="fontSelector6" class="font_select">
				<?php foreach ( $ab_font as $font => $header_font ) : ?>
				<option value="<?php echo $font; ?>" <?php if ( $sub_slides['ab_button_text_font'] == $font ) echo 'selected'; ?>><?php echo $header_font; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
					
		<div style="margin-top:0px; float:left;">	
				<select name="ab_button_text_size">
				<?php foreach ( $ab_size as $size => $header_size ) : ?>
				<option value="<?php echo $size; ?>" <?php if ( $sub_slides['ab_button_text_size'] == $size ) echo 'selected'; ?>><?php echo $header_size; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
                
					
						<div style="margin-top:0px; float:left;">	
				<select name="ab_button_text_style">
				<?php foreach ( $ab_style as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_slides['ab_button_text_style'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
				
										
										
					<div style="margin-top:0px; float:left;">
					<div>Цвет текста</div>
					<input type="text" value="<?php if ( isset( $sub_slides['button_text_color'] ) ) echo $sub_slides['button_text_color']; ?>" class="my-color-field" name="button_text_color"/> </div>
					<div style="margin-top:0px; float:left;">
					<div>При наведении мышки</div>
					<input type="text" value="<?php if ( isset( $sub_slides['button_text_color_hover'] ) ) echo $sub_slides['button_text_color_hover']; ?>" class="my-color-field" name="button_text_color_hover"/> </div>
					
				
					
					<div style="margin-top:4px; float:left;"> С тенью / Без тени? <input type="checkbox" name="ab_button_text_shadow" value="1" <?php if ( $sub_slides['ab_button_text_shadow']) echo 'checked="checked"'; ?> /> </div>
					
					<ul id="fontList6">
					Выберите шрифт
					<?php foreach ( $ab_font as $font_prev => $header_font_prev ) : ?>
	
    <li style="font-family: <?php echo $header_font_prev; ?>" class="<?php if ( $sub_slides['ab_text_font'] == $ab_font ) echo 'selected'; ?>"><?php echo $header_font_prev; ?></li>
    	<?php endforeach; ?>
    
</ul>
		<script>$('#fontList6 li').click(
    function(){
        var chosen = $(this).index();
        $('#fontSelector6 option:selected')
            .removeAttr('selected');
        $('#fontSelector6 option')
            .eq(chosen)
            .attr('selected',true);
        $('.selected').removeClass('selected');
        $(this).addClass('selected');
    });	</script>	

					
					</td>
					</tr>
					
															
						  </table>
</div>
</div>



 
</div>


</div>
			


<div style="padding-top:20px;">
					

<div style="float:right"><input type="submit" value="Сохранить настройки" class="button1 button-primary" name="submit" /></div>
</div>
						         						   
        </form>
        
        <form method="post" action="">
		<div style="text-align:left;padding-top:10px;">
			<input type="submit" name="update" id="reset" onClick="return confirmDefaults();" class="button-secondary" value="Сбросить настройки" />
			<input type="hidden" name="action" value="reset" />
		</div>
	</form>
        
        
     </div>

<?php ;}


function wpform_option_name() {
$catalog_settings = get_option('ab_sub_form');
update_option('ab_sub_form', $catalog_settings);
}


function ab_sub_form_plugin_options() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
	
global $sub_form;
 $slide_number = array( '1' => '1', '2' => '2', '3' => '3');
if(isset($_POST["submit"])){ 
                    $sub_form['ab_sub_form_insert'] = $_POST['ab_sub_form_insert'];
					$sub_form['bg_color'] = $_POST['bg_color'];
					$sub_form['bottom_color'] = $_POST['bottom_color'];
					$sub_form['ab_sub_form_smart'] = $_POST['ab_sub_form_smart'];
					$sub_form['formname'] = $_POST['formname'];
					$sub_form['sendsayformkod'] = $_POST['sendsayformkod'];
					$sub_form['sendsayformid'] = $_POST['sendsayformid'];
					$sub_form['idname'] = $_POST['idname'];
					
					$sub_form['ab_jc_login'] = $_POST['ab_jc_login'];
					$sub_form['ab_jc_marker'] = $_POST['ab_jc_marker'];
					$sub_form['ab_jc_group'] = $_POST['ab_jc_group'];
					$sub_form['text_button'] = $_POST['text_button'];
					$sub_form['ab_header'] = $_POST['ab_header'];
					$sub_form['ab_text_font'] = $_POST['ab_text_font'];
					$sub_form['header_color'] = $_POST['header_color'];
					$sub_form['ab_text_size'] = $_POST['ab_text_size'];
					$sub_form['ab_text_shadow'] = $_POST['ab_text_shadow'];
					$sub_form['ab_bullet1'] = $_POST['ab_bullet1'];
					$sub_form['bullet_color'] = $_POST['bullet_color'];
					$sub_form['ab_bullet_shadow'] = $_POST['ab_bullet_shadow'];
					$sub_form['ab_bullet_size'] = $_POST['ab_bullet_size'];
					$sub_form['ab_bullet_font'] = $_POST['ab_bullet_font'];
					$sub_form['ab_bullet_style'] = $_POST['ab_bullet_style'];
					$sub_form['ab_text_form'] = $_POST['ab_text_form'];
					$sub_form['ab_text_form_size'] = $_POST['ab_text_form_size'];
					$sub_form['ab_text_form_font'] = $_POST['ab_text_form_font'];
					$sub_form['header_form_color'] = $_POST['header_form_color'];
					$sub_form['ab_text_form_shadow'] = $_POST['ab_text_form_shadow'];
					$sub_form['ab_button_text_size'] = $_POST['ab_button_text_size'];
					$sub_form['ab_button_text_font'] = $_POST['ab_button_text_font'];
					$sub_form['ab_button_text_style'] = $_POST['ab_button_text_style'];
					$sub_form['button_text_color'] = $_POST['button_text_color'];
					$sub_form['ab_button_text_shadow'] = $_POST['ab_button_text_shadow'];
					$sub_form['ab_form_image'] = $_POST['ab_form_image'];
					$sub_form['ab_text_garantia_size'] = $_POST['ab_text_garantia_size'];
					$sub_form['ab_text_garantia_font'] = $_POST['ab_text_garantia_font'];
					$sub_form['ab_text_garantia_style'] = $_POST['ab_text_garantia_style'];
					$sub_form['ab_text_garantia_color'] = $_POST['ab_text_garantia_color'];
					$sub_form['ab_text_garantia'] = $_POST['ab_text_garantia'];
					$sub_form['ab_style_border'] = $_POST['ab_style_border'];
					$sub_form['ab_border_round'] = $_POST['ab_border_round'];
					$sub_form['border_color'] = $_POST['border_color'];
					$sub_form['ab_bul'] = $_POST['ab_bul'];
					$sub_form['ab_description'] = $_POST['ab_description'];
				    $sub_form['ab_desc_size'] = $_POST['ab_desc_size'];
					$sub_form['ab_desc_font'] = $_POST['ab_desc_font'];
					$sub_form['ab_desc_color'] = $_POST['ab_desc_color'];
					$sub_form['ab_desc_shadow'] = $_POST['ab_desc_shadow'];
				    $sub_form['headerw'] = $_POST['headerw'];
					$sub_form['headerp'] = $_POST['headerp'];
					$sub_form['fonw'] = $_POST['fonw'];
					$sub_form['fonp'] = $_POST['fonp'];
					$sub_form['descw'] = $_POST['descw'];
					$sub_form['descp'] = $_POST['descp'];
				    $sub_form['imagew'] = $_POST['imagew'];
					$sub_form['imagep'] = $_POST['imagep'];
					$sub_form['videop'] = $_POST['videop'];
					$sub_form['listw'] = $_POST['listw'];
					$sub_form['listp'] = $_POST['listp'];
					$sub_form['headerformw'] = $_POST['headerformw'];
					$sub_form['headerformp'] = $_POST['headerformp'];
					$sub_form['formw'] = $_POST['formw'];
					$sub_form['formp'] = $_POST['formp'];
					$sub_form['garantiaw'] = $_POST['garantiaw'];
					$sub_form['garantiap'] = $_POST['garantiap'];
                    $sub_form['ab_head_form_insert'] = $_POST['ab_head_form_insert'];
                    $sub_form['ab_desc_form_insert'] = $_POST['ab_desc_form_insert'];
                    $sub_form['ab_list_form_insert'] = $_POST['ab_list_form_insert'];
                    $sub_form['ab_image_form_insert'] = $_POST['ab_image_form_insert'];
                    $sub_form['ab_form_header_form_insert'] = $_POST['ab_form_header_form_insert'];
                    $sub_form['ab_form_form_insert'] = $_POST['ab_form_form_insert'];
                    $sub_form['ab_garantia_form_insert'] = $_POST['ab_garantia_form_insert'];
                    $sub_form['input_size'] = $_POST['input_size'];
                    $sub_form['form_height'] = $_POST['form_height'];
                    $sub_form['form_video'] = $_POST['form_video'];
                    $sub_form['ab_video_form_insert'] = $_POST['ab_video_form_insert'];
                    $sub_form['custom_bg'] = $_POST['custom_bg'];
                    $sub_form['input_size_button'] = $_POST['input_size_button'];
                    $sub_form['input_size_height'] = $_POST['input_size_height'];
                    $sub_form['input_size_button_height'] = $_POST['input_size_button_height'];
                    $sub_form['delete_style'] = $_POST['delete_style'];
                    $sub_form['ab_form_padding_top'] = $_POST['ab_form_padding_top'];
                    $sub_form['ab_link_sub'] = $_POST['ab_link_sub'];
                    $sub_form['repeat_bg'] = $_POST['repeat_bg'];
                    $sub_form['repeat_position'] = $_POST['repeat_position'];
                    $sub_form['ab_border_form'] = $_POST['ab_border_form'];
                    $sub_form['ab_border_form_round'] = $_POST['ab_border_form_round'];
                    $sub_form['ab_border_form_shadow'] = $_POST['ab_border_form_shadow'];
                    $sub_form['ab_border_form_shadow_inside'] = $_POST['ab_border_form_shadow_inside'];
                    $sub_form['border_fiels_color'] = $_POST['border_fiels_color'];
                    $sub_form['bg_fiels_color'] = $_POST['bg_fiels_color'];
                    $sub_form['ab_field_text_size'] = $_POST['ab_field_text_size'];
                    $sub_form['ab_field_text_font'] = $_POST['ab_field_text_font'];
                    $sub_form['ab_field_text_style'] = $_POST['ab_field_text_style'];
                    $sub_form['field_text_color'] = $_POST['field_text_color'];
                    $sub_form['text_field_name'] = $_POST['text_field_name'];
                    $sub_form['text_field_email'] = $_POST['text_field_email'];
                    $sub_form['ab_border_button'] = $_POST['ab_border_button'];
                    $sub_form['border_button_color'] = $_POST['border_button_color'];
                    $sub_form['ab_border_button_round'] = $_POST['ab_border_button_round'];
                    $sub_form['ab_border_button_shadow_inside'] = $_POST['ab_border_button_shadow_inside'];
                    $sub_form['ab_border_button_shadow'] = $_POST['ab_border_button_shadow'];
                    $sub_form['ab_border_button_shadow_hover'] = $_POST['ab_border_button_shadow_hover'];
                    $sub_form['bottom_color_hover'] = $_POST['bottom_color_hover'];
                    $sub_form['border_button_color_hover'] = $_POST['border_button_color_hover'];
                    $sub_form['bg_color_sec'] = $_POST['bg_color_sec'];
                    $sub_form['ab_gradient'] = $_POST['ab_gradient'];
                    $sub_form['ab_border_video'] = $_POST['ab_border_video'];
                    $sub_form['border_video_color'] = $_POST['border_video_color'];
                    $sub_form['ab_border_video_shadow'] = $_POST['ab_border_video_shadow'];
                    $sub_form['ab_form_padding_bottom'] = $_POST['ab_form_padding_bottom'];
                    $sub_form['ab_bg_custom'] = $_POST['ab_bg_custom'];
                    $sub_form['ab_bg_custom_insert'] = $_POST['ab_bg_custom_insert'];
                    $sub_form['ab_flow_bg_opaque'] = $_POST['ab_flow_bg_opaque'];
                    $sub_form['ab_flow_bg_round'] = $_POST['ab_flow_bg_round'];
                    $sub_form['ab_bg_opaque'] = $_POST['ab_bg_opaque'];
                    $sub_form['ab_sub_form_video_choose'] = $_POST['ab_sub_form_video_choose'];
                    $sub_form['youtube_id'] = $_POST['youtube_id'];
                    $sub_form['vimeo_id'] = $_POST['vimeo_id'];
                    $sub_form['video_link'] = $_POST['video_link'];
                    $sub_form['video_photo_link'] = $_POST['video_photo_link'];
                    $sub_form['button_align'] = $_POST['button_align'];
                    $sub_form['ab_jc_link_2'] = $_POST['ab_jc_link_2'];
                    $sub_form['ab_video_auto'] = $_POST['ab_video_auto'];
                    $sub_form['ab_sub_form_fon_choose'] = $_POST['ab_sub_form_fon_choose'];
                    $sub_form['fon_video'] = $_POST['fon_video'];
                    $sub_form['videow'] = $_POST['videow'];
                    $sub_form['videoh'] = $_POST['videoh'];
                    $sub_form['fon_video_webm'] = $_POST['fon_video_webm'];
                    $sub_form['fon_video_img'] = $_POST['fon_video_img'];
                    $sub_form['ab_formid'] = $_POST['ab_formid'];
                    $sub_form['form_width'] = $_POST['form_width'];
                    $sub_form['ab_show'] = $_POST['ab_show'];
                    $sub_form['slide_speed'] = $_POST['slide_speed'];
                    $sub_form['slide_timeout'] = $_POST['slide_timeout'];
                    $sub_form['ab_head_form_insert_mobile'] = $_POST['ab_head_form_insert_mobile'];
                    $sub_form['ab_desc_form_insert_mobile'] = $_POST['ab_desc_form_insert_mobile'];
                    $sub_form['ab_list_form_insert_mobile'] = $_POST['ab_list_form_insert_mobile'];
                    $sub_form['ab_form_header_form_insert_mobile'] = $_POST['ab_form_header_form_insert_mobile'];
                    $sub_form['ab_video_form_insert_mobile'] = $_POST['ab_video_form_insert_mobile'];
                    $sub_form['ab_form_form_insert_mobile'] = $_POST['ab_form_form_insert_mobile'];
                    $sub_form['ab_garantia_form_insert_mobile'] = $_POST['ab_garantia_form_insert_mobile'];
                    $sub_form['background_size'] = $_POST['background_size'];
                    $sub_form['ab_bgcustom_form_insert_mobile'] = $_POST['ab_bgcustom_form_insert_mobile'];
                    $sub_form['ab_pattern_form_insert_mobile'] = $_POST['ab_pattern_form_insert_mobile'];
                    $sub_form['ab_form_old_form'] = $_POST['ab_form_old_form'];
                    $sub_form['thankyou_page'] = $_POST['thankyou_page'];
                    $sub_form['name_field'] = $_POST['name_field'];
                    $sub_form['ab_mc_login'] = $_POST['ab_mc_login'];
                    $sub_form['ab_mc_idprofile'] = $_POST['ab_mc_idprofile'];
                    $sub_form['ab_mc_idlist'] = $_POST['ab_mc_idlist'];
                    
                    $sub_form['ab_bullet_icon_choose'] = $_POST['ab_bullet_icon_choose'];
                    $sub_form['ab_bullet_icon'] = $_POST['ab_bullet_icon'];
                    $sub_form['ab_bullet_icon_color'] = $_POST['ab_bullet_icon_color'];
                    $sub_form['button_text_color_hover'] = $_POST['button_text_color_hover'];
                    $sub_form['ab_bg_opaque_image'] = $_POST['ab_bg_opaque_image'];
                    $sub_form['bg_color_over'] = $_POST['bg_color_over'];
                    $sub_form['unisenderid'] = $_POST['unisenderid'];
                    $sub_form['unisenderhash'] = $_POST['unisenderhash'];
                    $sub_form['idautoweboffice'] = $_POST['idautoweboffice'];
                     $sub_form['idautowebofficepassylki'] = $_POST['idautowebofficepassylki'];
                     $sub_form['loginautoweboffice'] = $_POST['loginautoweboffice'];
                     
                    $sub_form['idformmailerlite'] = $_POST['idformmailerlite'];
                    $sub_form['idlandingmailerlite'] = $_POST['idlandingmailerlite'];
                    $sub_form['idstatistic'] = $_POST['idstatistic'];
                    $sub_form['thankyoumailerlite'] = $_POST['thankyoumailerlite'];
                    
                    $sub_form['idformsendpulse'] = $_POST['idformsendpulse'];
                    $sub_form['hashformsednpulse'] = $_POST['hashformsednpulse'];
                    $sub_form['idnamesendpulse'] = $_POST['idnamesendpulse'];
                    $sub_form['idscriptsendpulse'] = $_POST['idscriptsendpulse'];
                    
                 
                    
                    
                    foreach ( $slide_number as $num => $sl_num ) :
 $sub_form['slide_bg'.$sl_num] = $_POST['slide_bg'.$sl_num];
 $sub_form['repeat_bg'. $sl_num] = $_POST['repeat_bg'. $sl_num];
 $sub_form['repeat_position'. $sl_num] = $_POST['repeat_position'. $sl_num];
 $sub_form['background_size_slide'. $sl_num] = $_POST['background_size_slide'. $sl_num];
endforeach;        
                    update_option('ab_sub_form',$sub_form);
                     echo '<div id="message" class="updated fade"><p>Настройки сохранены</p></div>';
                    }
                    
$ab_bul = array( '1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5', '6' => '6', '7' => '7', '8' => '8', '9' => '9', '10' => '10', '11' => '11', '12' => '12', '13' => '13', '14' => '14', '15' => '15', '16' => '16', '17' => '17', '18' => '18', '19' => '19', '20' => '20', '21' => '21', '22' => '22', '23' => '23', '24' => '24', '25' => '25', '26' => '26', '27' => '27', '28' => '28', '29' => '29', '30' => '30', '31' => '31', '32' => '32', '33' => '33', '34' => '34', '35' => '35', '36' => '36', '37' => '37', '38' => '38', '39' => '39', '40' => '40', '41' => '41', '42' => '42', '43' => '43', '44' => '44', '45' => '45', '46' => '46', '47' => '47', '48' => '48', '57' => '57', '58' => '58', '59' => '59', '60' => '60', '61' => '61', '62' => '62', '63' => '63', '64' => '64', '65' => '65', '66' => '66', '67' => '67', '68' => '68', '69' => '69', '70' => '70', '71' => '71', '72' => '72', '73' => '73', '74' => '74', '75' => '75', '76' => '76', '77' => '77', '78' => '78', '79' => '79', '80' => '80', '81' => '81', '82' => '82', '83' => '83', '84' => '84', '85' => '85', '86' => '86', '87' => '87', '88' => '88', '89' => '89', '90' => '90', '91' => '91', '92' => '92', '93' => '93', '94' => '94', '95' => '95', '96' => '96', '97' => '97', '98' => '98', '99' => '99', '100' => '100');

$ab_font = array( 'arial' => 'Arial',
		'verdana'   => 'Verdana, Geneva',
		'helvetica' => 'Helvetica',
		'tahoma'    => 'Tahoma, Geneva',
		'\'Lucida Console\', Monaco, monospace' => 'Lucida Console',
		'Open Sans'    => 'Open Sans',
		'Open Sans Condensed'  => 'Open Sans Condensed',
		'PT Sans Narrow'  => 'PT Sans Narrow',	
		'Trebuchet' => 'Trebuchet',
		'georgia'   => 'Georgia',
		'times'     => 'Times New Roman',
		'palatino'  => 'Palatino',
		'\'Comic Sans MS\', cursive' => 'Comic Sans MS',
		'\'Courier New\', monospace' => 'Courier New',
		'Impact, Charcoal, sans-serif' => 'Impact', 
		'Marck Script'  => 'Marck Script',
		'Neucha'  => 'Neucha',
		'Poiret One'  => 'Poiret One',
		'Lobster'  => 'Lobster',
		'Comfortaa'  => 'Comfortaa',
		'Didact Gothic'  => 'Didact Gothic',
		'Roboto'  => 'Roboto');
		
		

$ab_size = array( '9' => '9px', '10' => '10px', '11' => '11px', '12' => '12px', '13' => '13px', '14' => '14px', '15' => '15px', '16' => '16px', '17' => '17px', '18' => '18px', '19' => '19px', '20' => '20px', '21' => '21px', '22' => '22px', '23' => '23px', '24' => '24px', '25' => '25px', '26' => '26px', '27' => '27px', '28' => '28px', '29' => '29px', '30' => '30px', '31' => '31px', '32' => '32px', '33' => '33px', '34' => '34px', '35' => '35px', '36' => '36px', '37' => '37px', '38' => '38px', '39' => '39px', '40' => '40px', '41' => '41px', '42' => '42px', '43' => '43px', '44' => '44px', '45' => '45px', '46' => '46px', '47' => '47px', '48' => '48px', '49' => '49px', '50' => '50px' );

$ab_style = array( 'normal' => 'Обычный', 'italic' => 'Наклонный', 'bold' => 'Жирный', 'bold italic' => 'Жирный Наклонный');

$ab_align = array( 'left' => 'Слева', 'right' => 'Справа', 'center' => 'По-центру', 'justify' => 'Равномерно');

$ab_style_border = array( 'none' => 'Нет', 'solid' => 'Сплошная', 'dotted' => 'Точки', 'dashed' => 'Черточки', 'double' => 'Двойная');

$ab_border_round = array( '0' => 'Нет', '1' => '1px', '2' => '2px', '3' => '3px', '4' => '4px', '5' => '5px', '6' => '6px', '7' => '7px', '8' => '8px', '9' => '9px', '10' => '10px', '11' => '11px', '12' => '12px', '13' => '13px', '14' => '14px', '15' => '15px');

$repeat_bg = array(
		'no-repeat' =>  'Не повторять',
		'repeat-x'  => 'Повторять по горизонтали',
		'repeat-y'  => 'Повторять по вертикали',
		'repeat'    =>  'Повторять все'
		);

$repeat_position = array(
		'top left'      => 'Сверху Слева',
		'top center'    =>  'Сверху По Центру',
		'top right'     =>  'Сверху Справа',
		'center left'   =>  'Посередине Слева',
		'center center' =>  'Посередине По Центру',
		'center right'  =>  'Посередине Справа',
		'bottom left'   => 'Внизу Слева',
		'bottom center' =>  'Внизу По Центру',
		'bottom right'  =>  'Внизу Справа'
		);
		
		
		 $ab_bullet_icon_choose = array(
        'fa-check'      => 'Галочка',
		'fa-check-square'    =>  'Галочка в цветном квадрате',
		'fa-check-square-o'     =>  'Галочка в белом квадрате',
		'fa-check-circle'   =>  'Галочка в цветном круге',
		'fa-check-circle-o' =>  'Галочка в белом круге',
		'fa-circle'  =>  'Цветная точка',
		'fa-circle-o'   => 'Белая точка',
		'fa-square' =>  'Цветной квадрат',
		'fa-square-o'  =>  'Белый квадрат',
		'fa-plus'  =>  'Плюс',
		'fa-plus-circle'  =>  'Плюс в цветном круге',
		'fa-plus-square'  =>  'Плюс в цветном квадрате',
		'fa-plus-square-o'  =>  'Плюс в белом квадрате',
		'fa-minus'  =>  'Минус',
		'fa-minus-circle'  =>  'Минус в цветном круге',
		'fa-minus-square'  =>  'Минус в цветном квадрате',
		'fa-minus-square-o'  =>  'Минус в белом квадрате',
		'fa-star'  =>  'Звезда',
		'fa-thumbs-up'  =>  'ОК - палец вверх',
		'fa-heart'  =>  'Сердечко',
		
		

		);

		
		$background_size = 	array('cover' => 'Фон покрывает все поле', 'contain' => 'Фон покрывает поле сохраняя пропорции изображения', 'initial' => 'Исходный размер изображения' );
		
		$ab_border_button = array( '0px' => 'Нет', '1px' => '1px', '2px' => '2px', '3px' => '3px', '4px' => '4px');
$ab_border_button_round = array( '0px' => 'Нет', '1px' => '1px', '2px' => '2px', '3px' => '3px', '4px' => '4px', '5px' => '5px', '6px' => '6px', '7px' => '7px', '8px' => '8px', '9px' => '9px', '10px' => '10px', '11px' => '11px', '12px' => '12px', '13px' => '13px', '14px' => '14px', '54px' => '15px', '16px' => '16px', '17px' => '17px', '18px' => '18px', '19px' => '19px', '20px' => '20px', '21px' => '21px', '22px' => '22px', '23px' => '23px', '24px' => '24px', '25px' => '25px', '26px' => '26px', '27px' => '27px', '28px' => '28px', '29px' => '29px', '30px' => '30px');


$ab_shadow_form = array( '0' => 'Нет', '1' => 'Да');
$ab_gradient = array( '0' => 'Линейный', '1' => 'Круглый', '2' => 'Элипс');
$ab_opaque = array( '1' => 'Не прозрачный', '0.8' => 'Легкая прозрачность', '0.6' => 'Средняя прозрачность', '0.4' => 'Сильная прозрачность', '0.2' => 'Очень сильная прозрачность', '0' => '100% прозрачность'  );

$ab_opaque_image = array( '1' => 'Не прозрачный', '0.8' => 'Легкая прозрачность', '0.6' => 'Средняя прозрачность', '0.4' => 'Сильная прозрачность', '0.2' => 'Очень сильная прозрачность');


$button_align = array( 'left' => 'Слева', 'right' => 'Справа');
$form_width = array('1200px' => '1200px', '100%' => '100%');
?>

<div class="wrap">
<script>$("#message").show().delay(2000).fadeOut();</script>
<?php get_screen_icon(); ?> 
<div style="padding-left:28px; padding-bottom:20px;">

</div>
<?php $license 	= get_option( 'edd_form_license_key' );
$status 	= get_option( 'edd_form_license_status' );
if ($status !== false && $status == 'valid' ) { ?>
 
<form method="post" action=""> 
        
  <?php settings_fields( 'update-options' ); ?>
  
 
 
 <div style="font-size:16px;"> Для формы подписки в футере, плагин <a href="http://wpform.ru/footer/" target="_blank"> Живая Форма в Футер </a></div>
 <div style="margin-top:10px; margin-bottom:10px; text-align:right; ">
  
   <div>
       <input type="checkbox" id="check1" name="ab_sub_form_insert" value="1" <?php if ( $sub_form['ab_sub_form_insert'] ) echo 'checked="checked"'; ?> />  <label for="check1" style="font-size:16px;"> Активировать форму?
</label>
</div>

    </div>
    
  <div style="background:#fff; margin-bottom:20px; border:1px solid #ccc;"> 
  
<?php require_once dirname( __FILE__ ) .'/admin-form.php';  ?> 
   
	
 <div style="width:950px; margin:0 auto; margin-top:20px;">
  <div id="setkasetka" style="padding-top:20px">
<input type="radio" name="setka" value="show" id="setkashow"> Показать сетку <input type="radio" name="setka" value="hide" id="setkahide"> Убрать сетку
</div>


<div id="foncolors" style=" display:none">
<div style="float:left; margin-top:10px; margin-right:10px; height:40px; width:200px;">
<div style="background:#666; width:20px; height:20px; float:left; margin-right:10px; border:1px solid #ccc;" class="setkablack"></div>
<div style="background:#ff0000; width:20px; height:20px;float:left;  margin-right:10px; border:1px solid #ccc;" class="setkared"></div>	
<div style="background:#13afdf; width:20px; height:20px;float:left;  margin-right:10px; border:1px solid #ccc;" class="setkablue"></div>	
<div style="background:#ffffff; width:20px; height:20px;float:left; margin-right:10px; border:1px solid #ccc;" class="setkawhite"></div>
<div style="background:transporent; width:20px; height:20px;float:left; border:1px solid #ccc;" class="setkatrans"></div>
</div>	
	
</div>

   <div  style="float:right; margin-top:10px; height:40px; width:460px">
<div style="float:right"><input type="submit" value="Сохранить настройки" class="button1 button-primary" name="submit" /></div>
</div>
 
    
    
    
    
    
   
     
       
<table class="form-table" style="width:90%; margin:0 auto; margin-bottom:20px;">
<tr><td colspan="5"><div> <strong>Отметьте галочкой, какие элементы Вы хотите использовать в форме:</strong></div></td></tr>
<tr valign="top">
<td><input type="checkbox" name="ab_head_form_insert" value="1" <?php if ( $sub_form['ab_head_form_insert'] ) echo 'checked="checked"'; ?> /> Заголовок</td>
<td><input type="checkbox" name="ab_desc_form_insert" value="1" <?php if ( $sub_form['ab_desc_form_insert'] ) echo 'checked="checked"'; ?> /> Подзаголовок</td> 
<td><input type="checkbox" name="ab_list_form_insert" value="1" <?php if ( $sub_form['ab_list_form_insert'] ) echo 'checked="checked"'; ?> /> Список выгод</td>
<td> <input type="checkbox" name="ab_form_header_form_insert" value="1" <?php if ( $sub_form['ab_form_header_form_insert'] ) echo 'checked="checked"'; ?> /> Призыв подписаться </td>
<td><input type="checkbox" name="ab_garantia_form_insert" value="1" <?php if ( $sub_form['ab_garantia_form_insert'] ) echo 'checked="checked"'; ?> /> Конфиденциальность</td>
</tr>
<tr valign="top">
<td><input type="checkbox" name="ab_image_form_insert" value="1" <?php if ( $sub_form['ab_image_form_insert'] ) echo 'checked="checked"'; ?> /> Изображение</td>
<td><input type="checkbox" name="ab_video_form_insert" value="1" <?php if ( $sub_form['ab_video_form_insert'] ) echo 'checked="checked"'; ?> /> Видео</td>            
<td><input type="checkbox" name="ab_form_form_insert" value="1" <?php if ( $sub_form['ab_form_form_insert'] ) echo 'checked="checked"'; ?> /> Форма подписки</td>
<td><input type="checkbox" name="ab_bg_custom_insert" value="1" <?php if ( $sub_form['ab_bg_custom_insert'] ) echo 'checked="checked"'; ?> /> Плавающий фон</td></tr></table>
     
     
     
     
     
<table class="form-table" style="width:90%; margin:0 auto; margin-bottom:20px;">
<tr><td colspan="5"><div> <strong>Отметьте галочкой, какие элементы Вы хотите, чтобы отображались в мобильной версии:</strong></div></td></tr>
<tr valign="top">



<td><input type="checkbox" name="ab_pattern_form_insert_mobile" value="1" <?php if ( $sub_form['ab_pattern_form_insert_mobile'] ) echo 'checked="checked"'; ?> /> Фон </td>

<td><input type="checkbox" name="ab_head_form_insert_mobile" value="1" <?php if ( $sub_form['ab_head_form_insert_mobile'] ) echo 'checked="checked"'; ?> /> Заголовок</td>
<td><input type="checkbox" name="ab_desc_form_insert_mobile" value="1" <?php if ( $sub_form['ab_desc_form_insert_mobile'] ) echo 'checked="checked"'; ?> /> Подзаголовок</td> 
<td><input type="checkbox" name="ab_list_form_insert_mobile" value="1" <?php if ( $sub_form['ab_list_form_insert_mobile'] ) echo 'checked="checked"'; ?> /> Список выгод</td>
<td> <input type="checkbox" name="ab_form_header_form_insert_mobile" value="1" <?php if ( $sub_form['ab_form_header_form_insert_mobile'] ) echo 'checked="checked"'; ?> /> Призыв подписаться </td>

</tr>
<tr valign="top">

<td><input type="checkbox" name="ab_bgcustom_form_insert_mobile" value="1" <?php if ( $sub_form['ab_bgcustom_form_insert_mobile'] ) echo 'checked="checked"'; ?> /> Плавающий фон</td>    
<td><input type="checkbox" name="ab_video_form_insert_mobile" value="1" <?php if ( $sub_form['ab_video_form_insert_mobile'] ) echo 'checked="checked"'; ?> /> Видео</td>            
<td><input type="checkbox" name="ab_form_form_insert_mobile" value="1" <?php if ( $sub_form['ab_form_form_insert_mobile'] ) echo 'checked="checked"'; ?> /> Форма подписки</td>
<td><input type="checkbox" name="ab_garantia_form_insert_mobile" value="1" <?php if ( $sub_form['ab_garantia_form_insert_mobile'] ) echo 'checked="checked"'; ?> /> Конфиденциальность</td>
</tr></table>

  
    
     
    </div> 
 <div id="tabs">
  <ul>
  
    <li><a href="#fragment-13">Ширина/Высота/Отступы блока</a></li>
      <li><a href="#fragment-12">Фон блока</a></li>
      <li><a href="#fragment-4">Заголовок</a></li>
      <li><a href="#fragment-5">Подзаголовок</a></li>
      <li><a href="#fragment-8">Список выгод</a></li>
      <li><a href="#fragment-9">Призыв подписаться</a></li>
      <li><a href="#fragment-10">Конфиденциальность</a></li>
      <li><a href="#fragment-6">Изображение</a></li>
      <li><a href="#fragment-7">Видео</a></li>
      <li><a href="#fragment-11">Плавающий фон</a></li>
      <li><a href="#fragment-3"> Стиль полей и кнопки формы подписки</a></li>
      <li><a href="#fragment-2">АвтоРеспондер</a></li>
  </ul>
<div id="fragment-2">
  
  
  <table class="form-table">
					<tr valign="top">
						<th scope="row">Выберите авторестондер или ссылку: </th>
						<td>
						
					
					
					
						<?php if ( $sub_form['ab_sub_form_smart'] != '' ) {
				
					if ( $sub_form['ab_sub_form_smart'] == 0 ) {
						$selected = 'checkresponder';
						
					}
			
					elseif ( $sub_form['ab_sub_form_smart'] == 1 ) {
						$selected1 = 'checkresponder';
						
				    }
				    
				    elseif ( $sub_form['ab_sub_form_smart'] == 2 ) {
						$selected2 = 'checkresponder';
						
				    }
				    
				    
				elseif   ( $sub_form['ab_sub_form_smart'] == 3 )  {
						$selected3 = 'checkresponder';
						
					
				}
				
				elseif   ( $sub_form['ab_sub_form_smart'] == 4 )  {
						$selected4 = 'checkresponder';
						
					
				}
				
				elseif   ( $sub_form['ab_sub_form_smart'] == 5 )  {
						$selected5 = 'checkresponder';
						
					
				}
				
				elseif   ( $sub_form['ab_sub_form_smart'] == 6 )  {
						$selected6 = 'checkresponder';
						
					
				}
				elseif   ( $sub_form['ab_sub_form_smart'] == 7 )  {
						$selected7 = 'checkresponder';
						
					
				}
				
				else  {
						$selected8 = 'checkresponder';
						
				    }


				} ?>
						 
						 
						 
						  <input type="radio" id="responder0" name="ab_sub_form_smart" value="0" <?php if ( $sub_form['ab_sub_form_smart'] ==  '0' ) echo 'checked="checked"'; ?> /> <label>SendSay</label> <br>
						 <input type="radio" id="responder1" name="ab_sub_form_smart" value="1" <?php if ( $sub_form['ab_sub_form_smart'] ==  '1' ) echo 'checked="checked"'; ?> /> <label>JustClick</label> <br>
						 <input type="radio" id="responder2" name="ab_sub_form_smart" value="2" <?php if ( $sub_form['ab_sub_form_smart'] ==  '2' ) echo 'checked="checked"'; ?> /> <label>GetResponse</label> <br>						 
						 
						 
						 <input type="radio" id="responder3" name="ab_sub_form_smart" value="3" <?php if ( $sub_form['ab_sub_form_smart'] ==  '3' ) echo 'checked="checked"'; ?> /> <label>Ссылка</label> <br>
						 
						 <input type="radio" id="responder4" name="ab_sub_form_smart" value="4" <?php if ( $sub_form['ab_sub_form_smart'] ==  '4' ) echo 'checked="checked"'; ?> /> <label>MailChimp</label> <br>

						 
						 <input type="radio" id="responder5" name="ab_sub_form_smart" value="5" <?php if ( $sub_form['ab_sub_form_smart'] ==  '5' ) echo 'checked="checked"'; ?> /> <label>UniSender</label> <br>
						 
						 <input type="radio" id="responder6" name="ab_sub_form_smart" value="6" <?php if ( $sub_form['ab_sub_form_smart'] ==  '6' ) echo 'checked="checked"'; ?> /> <label>AutoWebiOffice</label> <br>
						 
						 <input type="radio" id="responder7" name="ab_sub_form_smart" value="7" <?php if ( $sub_form['ab_sub_form_smart'] ==  '7' ) echo 'checked="checked"'; ?> /> <label>MailerLite</label> <br>
						 
						 <input type="radio" id="responder8" name="ab_sub_form_smart" value="8" <?php if ( $sub_form['ab_sub_form_smart'] ==  '8' ) echo 'checked="checked"'; ?> /> <label>SendPulse</label> 


						
	</td></tr>	
						
						
						<tr valign="top">
						<th scope="row">Данные формы подписки или ссылки: </th>
						<td> 
						
						<div id="div_name" class="<?php echo $selected; ?>" style="width:500px; display:none;">
						
						<div style="font-size:14px; float:left; width:108px; ">Имя формы </div><div style="font-size:14px; float:left; width:108px;">ID формы</div>  <div style="font-size:14px; float:left; width:108px;">Код формы</div> <div style="font-size:14px; float:left; width:108px;">Поле Имя</div><br>
						
							<input type="text" name="formname" value="<?php esc_attr_e($sub_form['formname']); ?>" size="10"/>
							
							<input type="text" name="sendsayformkod" value="<?php esc_attr_e($sub_form['sendsayformkod']); ?>" size="10"/> 
							
							<input type="text" name="sendsayformid" value="<?php esc_attr_e($sub_form['sendsayformid']); ?>" size="10"/> 

<input type="text" name="idname" value="<?php esc_attr_e($sub_form['idname']); ?>" size="10"/> 

</div>

<div id="div_name1" class="<?php echo $selected1; ?>" style="width:400px;display:none;">
						
						<div style="font-size:18px; float:left; width:108px; ">Логин </div><div style="font-size:18px; float:left; width:108px;">Маркер</div>  <div style="font-size:18px; float:left; width:108px;">Группа</div><br>
							<input type="text" name="ab_jc_login" value="<?php esc_attr_e($sub_form['ab_jc_login']); ?>" size="10"/>
							
							<input type="text" name="ab_jc_marker" value="<?php esc_attr_e($sub_form['ab_jc_marker']); ?>" size="10"/> 
							
							<input type="text" name="ab_jc_group" value="<?php esc_attr_e($sub_form['ab_jc_group']); ?>" size="10"/>
						
							<div style="margin-top:20px;">URL ПОСЛЕ АКТИВАЦИИ</div>
							<input type="text" name="ab_jc_link_2" value="<?php esc_attr_e($sub_form['ab_jc_link_2']); ?>" size="40"/>
							</div> 
							
							
							
							
							<div id="div_name2" class="<?php echo $selected2; ?>" style="width:400px; display:none;">
							
							<div style="font-size:14px; width:508px; ">
							
							<input type="checkbox" name="ab_form_old_form" value="1" <?php if ( $sub_form['ab_form_old_form'] ) echo 'checked="checked"'; ?> /><label> Поставьте галочку, если вы используете Новую форму</label> </div>
							<br><br>

						
						<div style="font-size:14px; width:208px; ">ID Формы (если форма старая), Токен кампании (если форма новая)  </div>
						
																				
							<input type="text" name="ab_formid" value="<?php esc_attr_e($sub_form['ab_formid']); ?>" size="30"/>
							
								<div style="font-size:14px; width:208px; ">Ссылка на страницу Спасибо (по-желанию)  </div>
							
							<input type="text" name="thankyou_page" value="<?php esc_attr_e($sub_form['thankyou_page']); ?>" size="30"/></div>
							
							

							
							
							
							
							
							<div id="div_name3" class="<?php echo $selected3; ?>" style="width:500px;display:none;">
						
						<div style="font-size:18px; width:208px; ">Ссылка на ресурс </div>
														
							<input type="text" name="ab_link_sub" value="<?php esc_attr_e($sub_form['ab_link_sub']); ?>" size="30"/>
							
							</div>
							
							
							<div id="div_name4" class="<?php echo $selected4; ?>" style="width:700px;display:none;">
						
						<div style="font-size:14px; float:left; width:145px; ">Логин</div><div style="font-size:14px; float:left; width:265px;">ID Профиля</div>  <div style="font-size:14px; float:left; width:108px;">ID Списка</div><br>
							<input type="text" name="ab_mc_login" value="<?php esc_attr_e($sub_form['ab_mc_login']); ?>" size="15"/>
							
							<input type="text" name="ab_mc_idprofile" value="<?php esc_attr_e($sub_form['ab_mc_idprofile']); ?>" size="30"/> 
							
							<input type="text" name="ab_mc_idlist" value="<?php esc_attr_e($sub_form['ab_mc_idlist']); ?>" size="15"/>
							</div>
							
							
							
							<div id="div_name5" class="<?php echo $selected5; ?>" style="width:700px;display:none;">
						
						<div style="font-size:14px; float:left; width:265px; ">Hash формы </div><div style="font-size:14px; float:left; width:145px;">ID списка</div><br>
							
							
							<input type="text" name="unisenderhash" value="<?php esc_attr_e($sub_form['unisenderhash']); ?>" size="30"/> 
							<input type="text" name="unisenderid" value="<?php esc_attr_e($sub_form['unisenderid']); ?>" size="15"/>
							
							
							</div>
							
							
							
							
							
							
							<div id="div_name6" class="<?php echo $selected6; ?>" style="width:700px;display:none;">
						
						<div style="font-size:14px; width:265px; ">Идентификатор  </div>
						
						<input type="text" name="loginautoweboffice" value="<?php esc_attr_e($sub_form['loginautoweboffice']); ?>" size="30"/><br><br>

						
						
						<div style="font-size:14px;  width:265px; ">ID Магазина  </div> 
						<input type="text" name="idautoweboffice" value="<?php esc_attr_e($sub_form['idautoweboffice']); ?>" size="30"/> <br><br>

						
						<div style="font-size:14px;  width:265px; ">ID Рассылки  </div>							
								
							<input type="text" name="idautowebofficepassylki" value="<?php esc_attr_e($sub_form['idautowebofficepassylki']); ?>" size="30"/> 
							
							</div>

							
							
							<div id="div_name7" class="<?php echo $selected7; ?>" style="width:700px;display:none;">
						
						<div style="font-size:14px; float:left; width:145px; ">ID формы </div><div style="font-size:14px; float:left; width:145px;">ID страницы</div> <div style="font-size:14px; float:left; width:265px;">Hash Статистики</div><br>
						
							
							
							<input type="text" name="idformmailerlite" value="<?php esc_attr_e($sub_form['idformmailerlite']); ?>" size="15"/> 
							<input type="text" name="idlandingmailerlite" value="<?php esc_attr_e($sub_form['idlandingmailerlite']); ?>" size="15"/>
							<input type="text" name="idstatistic" value="<?php esc_attr_e($sub_form['idstatistic']); ?>" size="30"/>
							<br><br>
							
							<div style="font-size:14px; float:left; width:400px;">Адрес страницы "Спасибо за подписку" (с http:// )</div><br>
							<input type="text" name="thankyoumailerlite" value="<?php esc_attr_e($sub_form['thankyoumailerlite']); ?>" size="50"/>

							
							</div>
							
							
							
							<div id="div_name8" class="<?php echo $selected8; ?>" style="width:700px;display:none;">
						
												
							
							<div style="font-size:14px; width:265px; ">ID формы </div>
							<input type="text" name="idformsendpulse" value="<?php esc_attr_e($sub_form['idformsendpulse']); ?>" size="30"/> <br><br>
							
							<div style="font-size:14px; width:300px; ">Hash формы</div>
							<input type="text" name="hashformsednpulse" value="<?php esc_attr_e($sub_form['hashformsednpulse']); ?>" size="30"/><br><br>
							
							<div style="font-size:14px; width:265px; ">ID поля Имя (если вы его используете)</div>
							<input type="text" name="idnamesendpulse" value="<?php esc_attr_e($sub_form['idnamesendpulse']); ?>" size="30"/><br><br>
							
							<div style="font-size:14px; width:265px; ">ID скрипта</div>
							<input type="text" name="idscriptsendpulse" value="<?php esc_attr_e($sub_form['idscriptsendpulse']); ?>" size="30"/><br><br>
							
							<div><a href="https://vimeo.com/314717673" target="_blank">Видеоинструкция по подключению формы SendPulse </a></div>
												</div>
							
							
</td>
</tr>
</table>

</div>

  <div id="fragment-3">
  
  <table class="form-table">
  
  
  

  		<tr><td colspan="2"><div style="font-size:18px;font-weight:bold;">Настройка полей</div>	</td></tr>
  		
  		
  		
  		<tr valign="top">
						<th scope="row">Поле "Имя":</th>
						  <td>
							<input type="checkbox" name="name_field" value="1" <?php if ( $sub_form['name_field']) echo 'checked="checked"'; ?> />Скрыть поле Имя? (Поставьте галочку, если хотите только одно поле в форме Email)  
							
							
													  </td>
					</tr>
  		
  		<tr valign="top">
						<th scope="row">Граница полей:</th>
						  <td>
						  
						  
						 
						<div style="margin-top:0px; float:left;">	
						<div>Толщина /</div>
					<div>
				<select name="ab_border_form">
				<?php foreach ( $ab_border_button as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_form['ab_border_form'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div></div>
					
					<div style="margin-top:0px; float:left;">	
						<div> &nbsp; Закругления &nbsp;</div>
					<div>
				<select name="ab_border_form_round">
				<?php foreach ( $ab_border_button_round as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_form['ab_border_form_round'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div></div>
					
						<div style="margin-top:0px; float:left;">	
						<div> &nbsp; Цвет &nbsp;</div>
					<div>
					<input type="text" value="<?php if ( isset( $sub_form['border_fiels_color'] ) ) echo $sub_form['border_fiels_color']; ?>" class="my-color-field" name="border_fiels_color"/>
					
					</div></div>
  
						  
						  
						  
						  							
							
													  </td>
					</tr>
					
					
							<tr valign="top">
						<th scope="row">Тень и фон полей:</th>
						  <td>
							<input type="checkbox" name="ab_border_form_shadow_inside" value="1" <?php if ( $sub_form['ab_border_form_shadow_inside']) echo 'checked="checked"'; ?> /> Тень внутри? &nbsp;|&nbsp;
							<input type="checkbox" name="ab_border_form_shadow" value="1" <?php if ( $sub_form['ab_border_form_shadow']) echo 'checked="checked"'; ?> /> Тень вокруг?	&nbsp;| &nbsp;	
							Цвет фона: <input type="text" value="<?php if ( isset( $sub_form['bg_fiels_color'] ) ) echo $sub_form['bg_fiels_color']; ?>" class="my-color-field" name="bg_fiels_color"/> 
												
							
													  </td>
					</tr>		
  		
  		
  		
					
							
				
		<tr valign="top">
						<th scope="row">Текст в полях:</th>
						  <td>
							<input type="text" name="text_field_name" value="<?php esc_attr_e($sub_form['text_field_name']); ?>" size="20"/> <input type="text" name="text_field_email" value="<?php esc_attr_e($sub_form['text_field_email']); ?>" size="20"/>

						  </td>
					</tr>	
					
					
  
		
				
		<tr valign="top">
						<th scope="row">Размер, шрифт, стиль, цвет текста в поле</th>
						<td> 
						
							<div style="margin-top:0px; float:left;">	
				<select name="ab_field_text_font" id="fontSelector5" class="font_select">
				<?php foreach ( $ab_font as $font => $header_font ) : ?>
				<option value="<?php echo $font; ?>" <?php if ( $sub_form['ab_field_text_font'] == $font ) echo 'selected'; ?>><?php echo $header_font; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
					
		<div style="margin-top:0px; float:left;">	
				<select name="ab_field_text_size">
				<?php foreach ( $ab_size as $size => $header_size ) : ?>
				<option value="<?php echo $size; ?>" <?php if ( $sub_form['ab_field_text_size'] == $size ) echo 'selected'; ?>><?php echo $header_size; ?></option>
			<?php endforeach; ?>		
					
					</select></div>

				<div style="margin-top:0px; float:left;">	
				<select name="ab_field_text_style">
				<?php foreach ( $ab_style as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_form['ab_field_text_style'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
				
										
										
					<div style="margin-top:0px; float:left;">
					<input type="text" value="<?php if ( isset( $sub_form['field_text_color'] ) ) echo $sub_form['field_text_color']; ?>" class="my-color-field" name="field_text_color"/> </div>
					
					
					<ul id="fontList5">
					Выберите шрифт
					<?php foreach ( $ab_font as $font_prev => $header_font_prev ) : ?>
	
    <li style="font-family: <?php echo $header_font_prev; ?>" class="<?php if ( $sub_form['ab_text_font'] == $ab_font ) echo 'selected'; ?>"><?php echo $header_font_prev; ?></li>
    	<?php endforeach; ?>
    
</ul>
		<script>$('#fontList5 li').click(
    function(){
        var chosen = $(this).index();
        $('#fontSelector5 option:selected')
            .removeAttr('selected');
        $('#fontSelector5 option')
            .eq(chosen)
            .attr('selected',true);
        $('.selected').removeClass('selected');
        $(this).addClass('selected');
    });	</script>	
				
																	
											
					</td>
					</tr>
  </table>
  
  <br>
  
  <table class="form-table">
				<tr><td colspan="2"><div style="font-size:18px;font-weight:bold;">Настройка кнопки</div></td></tr>	
				
				
				
				<tr valign="top">
				
						
						<th scope="row">Цвет кнопки:</th>
						
						
					
						<td>
						<div style="float:left; margin-right:30px;">
						<div>цвет кнопки</div>
					<div>
					<input type="text" value="<?php if ( isset( $sub_form['bottom_color'] ) ) echo $sub_form['bottom_color']; ?>" class="my-color-field" name="bottom_color"/> 
					</div>
						</div>  
						
						<div style="float:left">
						<div> 
											 
						при наведении мышки</div>
						<div>
					 <input type="text" value="<?php if ( isset( $sub_form['bottom_color_hover'] ) ) echo $sub_form['bottom_color_hover']; ?>" class="my-color-field" name="bottom_color_hover"/>   
						</div></div>			 
						</td>
					</tr>	
				
				  <tr valign="top">
				
						<th scope="row">Граница кнопки:</th>
						<td>
					
						
						
						
						<div style="margin-top:0px; float:left;">	
						<div>Толщина /</div>
					<div>
				<select name="ab_border_button">
				<?php foreach ( $ab_border_button as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_form['ab_border_button'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div></div>
					
					<div style="margin-top:0px; float:left;">	
						<div> &nbsp; Закругления &nbsp;</div>
					<div>
				<select name="ab_border_button_round">
				<?php foreach ( $ab_border_button_round as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_form['ab_border_button_round'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div></div>
						
						
						<div style="float:left; margin-right:30px;">
						<div>цвет границы</div>
					<div>
					
					<input type="text" value="<?php if ( isset( $sub_form['border_button_color'] ) ) echo $sub_form['border_button_color']; ?>" class="my-color-field" name="border_button_color"/>  
 
					</div>
						</div>  
						
						<div style="float:left">
						<div> 
											 
						при наведении мышки</div>
						<div>
				<input type="text" value="<?php if ( isset( $sub_form['border_button_color_hover'] ) ) echo $sub_form['border_button_color_hover']; ?>" class="my-color-field" name="border_button_color_hover"/> 
						</div></div>	
						
						
						</td>
					</tr>	
				
				         <tr valign="top">
				
						 <th scope="row">Тень внутри/вокруг кнопки:</th>
						 <td>
						 <div style="float:left; margin-right:20px;">
						
						<input type="checkbox" name="ab_border_button_shadow_inside" value="1" <?php if ( $sub_form['ab_border_button_shadow_inside']) echo 'checked="checked"'; ?> /> внутри  &nbsp;&nbsp;| </div>
						
						
						<div style="float:left; margin-right:30px;">
							  <input type="checkbox" name="ab_border_button_shadow" value="1" <?php if ( $sub_form['ab_border_button_shadow']) echo 'checked="checked"'; ?> /> вокруг &nbsp;&nbsp;|</div>
							  	<div style="float:left; margin-right:30px;">
						  <input type="checkbox" name="ab_border_button_shadow_hover" value="1" <?php if ( $sub_form['ab_border_button_shadow_hover']) echo 'checked="checked"'; ?> /> вокруг при наведении мышки</div>
						  </td>
					</tr>
					
					
					
					
							
					<tr valign="top">
						<th scope="row">Текст на кнопке:</th>
						  <td>
							<input type="text" name="text_button" value="<?php esc_attr_e($sub_form['text_button']); ?>" size="20"/>
						  </td>
					</tr>	
					
					<tr valign="top">
						<th scope="row">Размер, шрифт, стиль, цвет, тень</th>
						<td> 
						
						<div style="margin-top:0px; float:left;">	
				<select name="ab_button_text_font" id="fontSelector6" class="font_select">
				<?php foreach ( $ab_font as $font => $header_font ) : ?>
				<option value="<?php echo $font; ?>" <?php if ( $sub_form['ab_button_text_font'] == $font ) echo 'selected'; ?>><?php echo $header_font; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
					
		<div style="margin-top:0px; float:left;">	
				<select name="ab_button_text_size">
				<?php foreach ( $ab_size as $size => $header_size ) : ?>
				<option value="<?php echo $size; ?>" <?php if ( $sub_form['ab_button_text_size'] == $size ) echo 'selected'; ?>><?php echo $header_size; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
                
					
						<div style="margin-top:0px; float:left;">	
				<select name="ab_button_text_style">
				<?php foreach ( $ab_style as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_form['ab_button_text_style'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
				
					<div style="margin-top:4px;"> С тенью / Без тени? <input type="checkbox" name="ab_button_text_shadow" value="1" <?php if ( $sub_form['ab_button_text_shadow']) echo 'checked="checked"'; ?> /> </div>
					
					<ul id="fontList6">
					Выберите шрифт
					<?php foreach ( $ab_font as $font_prev => $header_font_prev ) : ?>
	
    <li style="font-family: <?php echo $header_font_prev; ?>" class="<?php if ( $sub_form['ab_text_font'] == $ab_font ) echo 'selected'; ?>"><?php echo $header_font_prev; ?></li>
    	<?php endforeach; ?>
    
</ul>
		<script>$('#fontList6 li').click(
    function(){
        var chosen = $(this).index();
        $('#fontSelector6 option:selected')
            .removeAttr('selected');
        $('#fontSelector6 option')
            .eq(chosen)
            .attr('selected',true);
        $('.selected').removeClass('selected');
        $(this).addClass('selected');
    });	</script>	
    
    
    				 <br>		
										
					<div style="margin-top:0px; float:left;">
					<div>Цвет текста </div>
					<input type="text" value="<?php if ( isset( $sub_form['button_text_color'] ) ) echo $sub_form['button_text_color']; ?>" class="my-color-field" name="button_text_color"/> &nbsp;</div> 
					
					<div style="margin-top:0px; float:left;">
					<div>При наведении мышки</div>
					<input type="text" value="<?php if ( isset( $sub_form['button_text_color_hover'] ) ) echo $sub_form['button_text_color_hover']; ?>" class="my-color-field" name="button_text_color_hover"/> </div>
	
					
					
					</td>
					</tr>
					
					<tr>
							<th scope="row">Расположение кнопки</th>
							<td>
					
					
				
				<select name="button_align">
				<?php foreach ( $button_align as $butalgin => $button_a ) : ?>
				<option value="<?php echo $butalgin; ?>" <?php if ( $sub_form['button_align'] == $butalgin ) echo 'selected'; ?>><?php echo $button_a; ?></option>
			<?php endforeach; ?>		
					
					</select>
							
							
							
						  </td>
					</tr>
						  </table>
					
					
					<table class="form-table" style="margin-top:30px;">
					
						 <tr valign="top">
						<th scope="row">Размеры полей и кнопки формы подписки:</th>
						  <td>
							<label>Ширина полей:</label>  <input type="text" name="input_size" value="<?php esc_attr_e($sub_form['input_size']); ?>" size="5"/>
							
							<label>Высота полей:</label>  <input type="text" name="input_size_height" value="<?php esc_attr_e($sub_form['input_size_height']); ?>" size="5"/><br>
							
							
							<label>Ширина кнопки:</label>  <input type="text" name="input_size_button" value="<?php esc_attr_e($sub_form['input_size_button']); ?>" size="5"/>
							
							<label>Высота кнопки:</label>  <input type="text" name="input_size_button_height" value="<?php esc_attr_e($sub_form['input_size_button_height']); ?>" size="5"/>
						  </td></tr>
					
					<tr valign="top">
     
      
						
						<td colspan="2">
						
						 <input type="checkbox" name="delete_style" value="1" <?php if ( $sub_form['delete_style'] ) echo 'checked="checked"'; ?> /> <strong>Убрать все стили формы подписки (стиль полей и кнопки) - используйте в том случае, если поля и кнопка нарисованы на фоне</strong> 
        
                         
            </td>
   
						
						</tr>	
					
					
 </table>
 

  </div>
  



	

  <div id="fragment-4">
    <table class="form-table">		
    					</tr>
    
						<tr valign="top">
						<th scope="row">Заголовок формы подписки:</th>
						
						
						
						
						
						<td> 
							
							
							<?php
							
	function wpform_footer_backcolor_buttons($buttons) {
    array_push($buttons, 'backcolor');
 
    return $buttons;
}
add_filter("mce_buttons_2", "wpform_footer_backcolor_buttons");

if ( ! function_exists( 'wpform_footer_mce_buttons' ) ) {
	function wpform_footer_mce_buttons( $buttons ) {
		array_unshift( $buttons, 'fontselect' ); // Add Font Select
		array_unshift( $buttons, 'fontsizeselect' ); // Add Font Size Select
		return $buttons;
	}
}
add_filter( 'mce_buttons_2', 'wpform_footer_mce_buttons' );

// Customize mce editor font sizes
if ( ! function_exists( 'wpform_footer_mce_text_sizes' ) ) {
	function wpform_footer_mce_text_sizes( $initArray ){
		$initArray['fontsize_formats'] = "9px 10px 12px 13px 14px 16px 18px 21px 24px 28px 32px 36px 38px 40px 42px 44px 46px 48px 50px 52px 54px 56px 58px 60px";
		return $initArray;
	}
}
add_filter( 'tiny_mce_before_init', 'wpform_footer_mce_text_sizes' );

// Add custom Fonts to the Fonts list
if ( ! function_exists( 'wpform_footer_mce_google_fonts_array' ) ) {
	function wpform_footer_mce_google_fonts_array( $initArray ) {
	    $initArray['font_formats'] = 'Arial=arial,helvetica,sans-serif;Verdana=verdana,geneva;Helvetica=helvetica;Tahoma=tahoma,arial,helvetica,sans-serif;Lucida Console=Lucida Console, Monaco, monospace;Open Sans=Open Sans;Open Sans Condensed=Open Sans Condensed;PT Sans Narrow=PT Sans Narrow;Trebuchet=Trebuchet;Georgia=georgia;Times New Roman=times;Palatino=palatino;Comic Sans MS=Comic Sans MS, cursive;Courier New=Courier New, monospace;Impact=Impact, Charcoal, sans-serif;Marck Script=Marck Script;Neucha=Neucha;Poiret One=Poiret One;Lobster=Lobster;Comfortaa=Comfortaa;Didact Gothic=Didact Gothic;Roboto=Roboto';
            return $initArray;
	}
}
add_filter( 'tiny_mce_before_init', 'wpform_footer_mce_google_fonts_array' );

$content = $sub_form['ab_header'];
$editor_id = 'ab_header';
$settings = array(
'wpautop' => 1,
'media_buttons' => true,
'textarea_rows' => 5,

'tinymce' => array( 'toolbar1',
'toolbar2'

),
'quicktags' => array(
'buttons' => 'em,strong,close'
)
);
wp_editor( stripslashes($content), $editor_id, $settings);

?>
													
	
						
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row">Размер, шрифт, стиль, цвет, тень</th>
						<td> 
						<div style="margin-top:0px; float:left;">	
				<select name="ab_text_font" id="fontSelector" class="font_select">
				<?php foreach ( $ab_font as $font => $header_font ) : ?>
				<option value="<?php echo $font; ?>" <?php if ( $sub_form['ab_text_font'] == $font ) echo 'selected'; ?>><?php echo $header_font; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
					
				 <div style="margin-top:0px; float:left;">	
				<select name="ab_text_size">
				<?php foreach ( $ab_size as $size => $header_size ) : ?>
				<option value="<?php echo $size; ?>" <?php if ( $sub_form['ab_text_size'] == $size ) echo 'selected'; ?>><?php echo $header_size; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
				
									
					
	<div style="margin-top:0px;float:left;">
					<input type="text" value="<?php if ( isset( $sub_form['header_color'] ) ) echo $sub_form['header_color']; ?>" class="my-color-field" name="header_color"/> </div>

					
										<div style="margin-top:4px;float:left; "> С тенью / Без тени? <input type="checkbox" name="ab_text_shadow" value="1" <?php if ( $sub_form['ab_text_shadow'] ) echo 'checked="checked"'; ?> /> </div>
											
					<ul id="fontList">
					Выберите шрифт
					<?php foreach ( $ab_font as $font_prev => $header_font_prev ) : ?>
	
    <li style="font-family: <?php echo $header_font_prev; ?>" class="<?php if ( $sub_form['ab_text_font'] == $ab_font ) echo 'selected'; ?>"><?php echo $header_font_prev; ?></li>
    	<?php endforeach; ?>
    
</ul>
		<script>$('#fontList li').click(
    function(){
        var chosen = $(this).index();
        $('#fontSelector option:selected')
            .removeAttr('selected');
        $('#fontSelector option')
            .eq(chosen)
            .attr('selected',true);
        $('.selected').removeClass('selected');
        $(this).addClass('selected');
    });	</script>	
					
					
					
					</td>
					</tr>
					
					
					
					
					
					</table>
					
					</div>
					
<div id="fragment-5">
    <table class="form-table">		
    					
						<tr valign="top">
						<th scope="row">Подзаголовок формы подписки:</th>
						
						<td> 
							<?php

$content = $sub_form['ab_description'];
$editor_id = 'ab_description';
$settings = array(
'wpautop' => 1,
'media_buttons' => true,
'textarea_rows' => 5,

'tinymce' => array( 'toolbar1',
'toolbar2'

),
'quicktags' => array(
'buttons' => 'em,strong,close'
)
);
wp_editor( stripslashes($content), $editor_id, $settings);

?>
						
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row">Размер, шрифт, стиль, цвет, тень</th>
						<td> 
						
             
				
				<div style="margin-top:0px; float:left;">	
				<select name="ab_desc_font" id="fontSelector1" class="font_select">
				<?php foreach ( $ab_font as $font => $header_font ) : ?>
				<option value="<?php echo $font; ?>" <?php if ( $sub_form['ab_desc_font'] == $font ) echo 'selected'; ?>><?php echo $header_font; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
					
					
					   <div style="margin-top:0px; float:left;">	
				<select name="ab_desc_size">
				<?php foreach ( $ab_size as $size => $header_size ) : ?>
				<option value="<?php echo $size; ?>" <?php if ( $sub_form['ab_desc_size'] == $size ) echo 'selected'; ?>><?php echo $header_size; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
					
					<div style="margin-top:0px;float:left;">
					<input type="text" value="<?php if ( isset( $sub_form['ab_desc_color'] ) ) echo $sub_form['ab_desc_color']; ?>" class="my-color-field" name="ab_desc_color"/> </div>
					
					<div style="margin-top:4px;float:left; "> С тенью / Без тени? <input type="checkbox" name="ab_desc_shadow" value="1" <?php if ( $sub_form['ab_desc_shadow'] ) echo 'checked="checked"'; ?> /> </div>
											
					
					<ul id="fontList1">
					Выберите шрифт
					<?php foreach ( $ab_font as $font_desc => $header_font_desc ) : ?>
	
    <li style="font-family: <?php echo $header_font_desc; ?>" class="<?php if ( $sub_form['ab_desc_font'] == $ab_font ) echo 'selected'; ?>"><?php echo $header_font_desc; ?></li>
    	<?php endforeach; ?>
    
</ul>

	<script>$('#fontList1 li').click(
    function(){
        var chosen = $(this).index();
        $('#fontSelector1 option:selected')
            .removeAttr('selected');
        $('#fontSelector1 option')
            .eq(chosen)
            .attr('selected',true);
        $('.selected').removeClass('selected');
        $(this).addClass('selected');
    });	</script>	


					
					
					</td>
					</tr>
					
					
					</table>
					
					      </div>
      
 <div id="fragment-6" class="open">

    <table class="form-table">

									
										<tr valign="top">
						<th scope="row">Загрузите изображение (книга, диск, люди итд): </th>
						<td> 
						
						
    <input id="ab_form_image" class="upload_image" type="text" size="36" name="ab_form_image" value="<?php if ( isset( $sub_form['ab_form_image'] ) ) echo $sub_form['ab_form_image']; ?>" placeholder="Файл не выбран" /> 
    <input id="ab_form_image_upload" class="upload_image_button" type="button" value="Загрузить изображение" />
    <br> 
   <div class="screen1"></div>
   
  <?php if ( $sub_form['ab_form_image'] != '' ) { echo '
		 <div class="screenshot"><img src="'. $sub_form['ab_form_image'].'"><a class="remove-image">Удалить</a></div>';
		} ?>
		
					</td>
					</tr>
					
					</table>  
					
					</div>
   
 <div id="fragment-7" class="open">
    <table class="form-table">

									
										<tr valign="top">
						
						<th scope="row">Выберите видеохостинг: 
							<br><br><br><span style="font-weight:normal;">Соотношение сторон видео должно быть - <span style="font-weight:bold">16:9</span></span>
						</th>
						
						<td>
						
						<?php if ( $sub_form['ab_sub_form_video_choose'] != '' ) {
				
					if ( $sub_form['ab_sub_form_video_choose'] == 0 ) {
						$videoselected = ' checkvideo';
						
					}
			
					elseif ( $sub_form['ab_sub_form_video_choose'] == 1 ) {
						$videoselected1 = ' checkvideo';
						
				    }
				else   {
						$videoselected2 = ' checkvideo';
						
					
				}


				} ?>
						  
						
											
						 <input type="radio" id="videochoose0" name="ab_sub_form_video_choose" value="0" <?php if ( $sub_form['ab_sub_form_video_choose'] ==  '0' ) echo 'checked="checked"'; ?> /> <label>YouTube</label> &nbsp; &nbsp;
						 <input type="radio" id="videochoose1" name="ab_sub_form_video_choose" value="1" <?php if ( $sub_form['ab_sub_form_video_choose'] ==  '1' ) echo 'checked="checked"'; ?> /> <label>Vimeo</label> &nbsp; &nbsp;
						 
						 <input type="radio" id="videochoose2" name="ab_sub_form_video_choose" value="2" <?php if ( $sub_form['ab_sub_form_video_choose'] ==  '2' ) echo 'checked="checked"'; ?> /> <label>MP4</label>
							

					<div style="margin-top:20px;"></div>	

						
						<div id="video_name" class="<?php echo $videoselected; ?>" style="width:400px; display:none;">
						<strong>ID видео на YouTube</strong>
					     <input type="text" name="youtube_id" value="<?php esc_attr_e($sub_form['youtube_id']); ?>" size="20"/>
							
						
</div>


<div id="video_name2" class="<?php echo $videoselected1; ?>" style="width:400px;display:none;">
						<strong>ID видео на Vimeo</strong>
						
							<input type="text" name="vimeo_id" value="<?php esc_attr_e($sub_form['vimeo_id']); ?>" size="20"/>
							
														
							</div> 
							
							
							
							
							
							<div id="video_name3" class="<?php echo $videoselected2; ?>" style="width:500px;display:none;">
						
						
								<strong>ссылка на видео	в mp4:</strong>	<br>	
							<input id="video_link" class="upload_v" type="text" size="36" name="video_link" value="<?php if ( isset( $sub_form['video_link'] ) ) echo $sub_form['video_link']; ?>" /> 
    <input class="upload_video_button" type="button" value="Загрузить изображение" />
    <br>
    
						<div class="screenvideo"></div>
						
   
  <?php if ( $sub_form['video_link'] != '' ) {?>
		 <div class="screenshotvideo"><img src="<?php echo $imageurl;?>videofon.png" style="width:30px; padding:5px 10px 5px 10px; background:#eee; border:1px solid #ccc;"><a class="remove-imagevideo">Удалить</a></div>
		
		<?php ;} ?>	

							
							
							<div style="clear:both;"></div>
							
							
							
							
							  <strong> ссылка на изображение:</strong><br>
														
							
							
							<input id="video_photo_link" class="upload_p" type="text" size="36" name="video_photo_link" value="<?php if ( isset( $sub_form['video_photo_link'] ) ) echo $sub_form['video_photo_link']; ?>" /> 
    <input class="upload_photo_button" type="button" value="Загрузить изображение" />
    <br>
    
						<div class="screenphoto"></div>
						
   
  <?php if ( $sub_form['video_photo_link'] != '' ) {?>
		 <div class="screenshotphoto"><img src="<?php echo $sub_form['video_photo_link'];?>" style="width:200px; "><a class="remove-imagephoto">Удалить</a></div>
		
		<?php ;} ?>			
							
							
							
							
							
							
							</div>
</td>
</tr>

<tr valign="top">
				<th scope="row">Автопроигрывание </th>
						
						<td>
						
						<input type="checkbox" name="ab_video_auto" value="1" <?php if ( $sub_form['ab_video_auto']) echo 'checked="checked"'; ?> /> Включать видео автоматически? (только для Youtube и Vimeo)					
						
						
						</td></tr>		
					
					
					
				<tr valign="top">
				<th scope="row">Граница видео </th>
						
						<td>
						
						<input type="checkbox" name="ab_border_video" value="1" <?php if ( $sub_form['ab_border_video']) echo 'checked="checked"'; ?> /> Отображать? &nbsp; &nbsp;|  &nbsp;						
						Цвет границы: <input type="text" value="<?php if ( isset( $sub_form['border_video_color'] ) ) echo $sub_form['border_video_color']; ?>" class="my-color-field" name="border_video_color"/>  
						
						</td></tr>		
						
						<tr valign="top">
						<th scope="row">Тень видео </th>

						
						<td>
						
						  <input type="checkbox" name="ab_border_video_shadow" value="1" <?php if ( $sub_form['ab_border_video_shadow']) echo 'checked="checked"'; ?> /> Отображать?
						</td>
						</tr>	
						
						
				
					
					</table>  
					
					</div> 
    		
			
		   <div id="fragment-8">		
						

				<table class="form-table">

									
										<tr valign="top">
						<th scope="row">Список (каждый пункт списка должен начитаться с новой строчки):</th>
						<td> 
						
						 <textarea name="ab_bullet1"  rows="5" cols="68"><?php echo stripslashes($sub_form['ab_bullet1']); ?></textarea> 
												
						</td>
					</tr>

					
					
					<tr valign="top">
						<th scope="row">Размер, шрифт, стиль, цвет, тень</th>
						<td> 
						

				<div style="margin-top:0px; float:left;">	
				<select name="ab_bullet_font" id="fontSelector2" class="font_select">
				<?php foreach ( $ab_font as $font => $header_font ) : ?>
				<option value="<?php echo $font; ?>" <?php if ( $sub_form['ab_bullet_font'] == $font ) echo 'selected'; ?>><?php echo $header_font; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
					
					<div style="margin-top:0px; float:left;">	
			<select name="ab_bullet_size">
				<?php foreach ( $ab_size as $size => $header_size ) : ?>
				<option value="<?php echo $size; ?>" <?php if ( $sub_form['ab_bullet_size'] == $size ) echo 'selected'; ?>><?php echo $header_size; ?></option>
			<?php endforeach; ?>		
					
					</select>
					
					</div>
					
						<div style="margin-top:0px; float:left;">	
				<select name="ab_bullet_style">
				<?php foreach ( $ab_style as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_form['ab_bullet_style'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
									
										
					<div style="margin-top:0px; float:left;">
					<input type="text" value="<?php if ( isset( $sub_form['bullet_color'] ) ) echo $sub_form['bullet_color']; ?>" class="my-color-field" name="bullet_color"/> </div>
					
					<div style="margin-top:4px; float:left;"> С тенью / Без тени? <input type="checkbox" name="ab_bullet_shadow" value="1" <?php if ( $sub_form['ab_bullet_shadow']) echo 'checked="checked"'; ?> /> </div>
					
					
					
					<ul id="fontList2">
					Выберите шрифт
					<?php foreach ( $ab_font as $font_prev => $header_font_prev ) : ?>
	
    <li style="font-family: <?php echo $header_font_prev; ?>" class="<?php if ( $sub_form['ab_text_font'] == $ab_font ) echo 'selected'; ?>"><?php echo $header_font_prev; ?></li>
    	<?php endforeach; ?>
    
</ul>
		<script>$('#fontList2 li').click(
    function(){
        var chosen = $(this).index();
        $('#fontSelector2 option:selected')
            .removeAttr('selected');
        $('#fontSelector2 option')
            .eq(chosen)
            .attr('selected',true);
        $('.selected').removeClass('selected');
        $(this).addClass('selected');
    });	</script>	

											
					</td>
					</tr>
					
	<tr valign="top"><th scope="row">Изображение для пунктов списка: </th><td> 
	

   <?php foreach ( $ab_bul as $bul ) : 
   $imageurl =  get_bloginfo('url') .'/wp-content/plugins/wpform/images/';
   $selected_bul = '';
   $checked_bul = '';
				if ( $sub_form['ab_bul'] != '' ) {
				
					if ( $sub_form['ab_bul'] == $bul ) {
						$selected_bul = ' of-radio-bul-selected';
						$checked_bul = ' checked="checked"';
						
					
				}
				}
				?>
	
		
	 <div id="bul"> <img src="<?php echo $imageurl; ?>/bullets/<?php echo $bul; ?>.png" style="width:25px; height:25px; display: inline;" class="of-radio-bul-bul<?php echo $selected_bul; ?>" onclick="document.getElementById('<?php echo $bul; ?>').checked=true;">
	 
	 <div class="of-radio-bul-label"><?php echo $bul; ?></div>
	  
    <input type="radio" name="ab_bul" value="<?php echo $bul; ?>"  class="of-radio-bul-radio" id="<?php echo $bul; ?>" 
    
    <?php echo $checked_bul; ?> />
  </div>
   <?php endforeach; ?>
	
   </td></tr>	
   
   
   
   
    <tr valign="top"><th scope="row">Или иконки для пунктов списка: </th><td> 
   
   <div style="margin-top:4px;"> Использовать иконки вместо картинок? <input type="checkbox" name="ab_bullet_icon" value="1" <?php if ( $sub_form['ab_bullet_icon']) echo 'checked="checked"'; ?> /> </div><br>
   
   <style>.bullets_icons_choose:before {padding-right:10px;font-family: FontAwesome; color: <?php echo $sub_form['ab_bullet_icon_color']; ?> }</style>	
   
   <div style="margin-top:0px; float:left;">	
				<select name="ab_bullet_icon_choose" id="fontSelector7" class="font_select">
				<option>Выберите иконку</option>
				<?php foreach ( $ab_bullet_icon_choose as $b => $bullet ) : ?>
				<option value="<?php echo $b; ?>" <?php if ( $sub_form['ab_bullet_icon_choose'] == $b ) echo 'selected'; ?>><?php echo $bullet; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
<ul id="fontList7">

<strong>Выберите иконку</strong>
<?php foreach ( $ab_bullet_icon_choose as $b => $bullet ) : ?>
<li style="width:250px; padding:10px;" class="bullets_icons_choose <?php echo $b; ?> <?php if ( $sub_form['ab_bullet_icon_choose'] == $b ) echo 'selected'; ?>"><?php echo $bullet; ?></li>
    	<?php endforeach; ?>
</ul>
<script>$('#fontList7 li').click(
    function(){
        var chosen = $(this).index();
        $('#fontSelector7 option:selected')
            .removeAttr('selected');
        $('#fontSelector7 option')
            .eq(chosen)
            .attr('selected',true);
        $('.selected').removeClass('selected');
        $(this).addClass('selected');
    });	</script>	
				
															
<div style="margin-top:0px; float:left;">
<input type="text" value="<?php if ( isset( $sub_form['ab_bullet_icon_color'] ) ) echo $sub_form['ab_bullet_icon_color']; ?>" class="my-color-field" name="ab_bullet_icon_color"/> </div>	
   
   
   

</table>

</div>
				 
				<div id="fragment-9">	
				<table class="form-table">	
				
				
													<tr valign="top">
						<th scope="row">Призыв подписаться:</th>
						<td> 
						
													<?php

$content = $sub_form['ab_text_form'];
$editor_id = 'ab_text_form';
$settings = array(
'wpautop' => 1,
'media_buttons' => true,
'textarea_rows' => 5,

'tinymce' => array( 'toolbar1',
'toolbar2'

),
'quicktags' => array(
'buttons' => 'em,strong,close'
)
);
wp_editor( stripslashes($content), $editor_id, $settings);
?>



				


		
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row">Размер, шрифт, стиль, цвет, тень</th>
						<td> 
						
							<div style="margin-top:0px; float:left;">	
				<select name="ab_text_form_font" id="fontSelector3" class="font_select">
				<?php foreach ( $ab_font as $font => $header_font ) : ?>
				<option value="<?php echo $font; ?>" <?php if ( $sub_form['ab_text_form_font'] == $font ) echo 'selected'; ?>><?php echo $header_font; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
						
<div style="margin-top:0px; float:left;">	
<select name="ab_text_form_size">
				<?php foreach ( $ab_size as $size => $header_size ) : ?>
				<option value="<?php echo $size; ?>" <?php if ( $sub_form['ab_text_form_size'] == $size ) echo 'selected'; ?>><?php echo $header_size; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
				
			
										
										
					<div style="margin-top:0px; float:left;">
					<input type="text" value="<?php if ( isset( $sub_form['header_form_color'] ) ) echo $sub_form['header_form_color']; ?>" class="my-color-field" name="header_form_color"/> </div>
					
					<div style="margin-top:4px; float:left;"> С тенью / Без тени? <input type="checkbox" name="ab_text_form_shadow" value="1" <?php if ( $sub_form['ab_text_form_shadow'] ) echo 'checked="checked"'; ?> /> </div>
											
											
								<ul id="fontList3">
					Выберите шрифт
					<?php foreach ( $ab_font as $font_prev => $header_font_prev ) : ?>
	
    <li style="font-family: <?php echo $header_font_prev; ?>" class="<?php if ( $sub_form['ab_text_font'] == $ab_font ) echo 'selected'; ?>"><?php echo $header_font_prev; ?></li>
    	<?php endforeach; ?>
    
</ul>
		<script>$('#fontList3 li').click(
    function(){
        var chosen = $(this).index();
        $('#fontSelector3 option:selected')
            .removeAttr('selected');
        $('#fontSelector3 option')
            .eq(chosen)
            .attr('selected',true);
        $('.selected').removeClass('selected');
        $(this).addClass('selected');
    });	</script>				
											
											
					</td>
					</tr>
					
					</table>
					
					</div>

					
		<div id="fragment-10">	
  
  <table class="form-table">	
				
				
				
													<tr valign="top">
						<th scope="row">Текст политики конфиденциальности:</th>
						<td> 
							<textarea name="ab_text_garantia"  rows="2" cols="68"><?php esc_attr_e($sub_form['ab_text_garantia']); ?></textarea>
						


						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row">Размер, шрифт, стиль, цвет</th>
						<td> 
						
						<div style="margin-top:0px; float:left;">	
				<select name="ab_text_garantia_font" id="fontSelector4" class="font_select">
				<?php foreach ( $ab_font as $font => $header_font ) : ?>
				<option value="<?php echo $font; ?>" <?php if ( $sub_form['ab_text_garantia_font'] == $font ) echo 'selected'; ?>><?php echo $header_font; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
						
<div style="margin-top:0px; float:left;">	
				<select name="ab_text_garantia_size">
				<?php foreach ( $ab_size as $size => $header_size ) : ?>
				<option value="<?php echo $size; ?>" <?php if ( $sub_form['ab_text_garantia_size'] == $size ) echo 'selected'; ?>><?php echo $header_size; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
				
				
				
				<div style="margin-top:0px; float:left;">	
				<select name="ab_text_garantia_style">
				<?php foreach ( $ab_style as $style => $header_style ) : ?>
				<option value="<?php echo $style; ?>" <?php if ( $sub_form['ab_text_garantia_style'] == $style ) echo 'selected'; ?>><?php echo $header_style; ?></option>
			<?php endforeach; ?>		
					
					</select></div>
										
										
					<div style="margin-top:0px; float:left;">
					<input type="text" value="<?php if ( isset( $sub_form['ab_text_garantia_color'] ) ) echo $sub_form['ab_text_garantia_color']; ?>" class="my-color-field" name="ab_text_garantia_color"/> </div>
					
					
					
					<ul id="fontList4">
					Выберите шрифт
					<?php foreach ( $ab_font as $font_prev => $header_font_prev ) : ?>
	
    <li style="font-family: <?php echo $header_font_prev; ?>" class="<?php if ( $sub_form['ab_text_font'] == $ab_font ) echo 'selected'; ?>"><?php echo $header_font_prev; ?></li>
    	<?php endforeach; ?>
    
</ul>
		<script>$('#fontList4 li').click(
    function(){
        var chosen = $(this).index();
        $('#fontSelector4 option:selected')
            .removeAttr('selected');
        $('#fontSelector4 option')
            .eq(chosen)
            .attr('selected',true);
        $('.selected').removeClass('selected');
        $(this).addClass('selected');
    });	</script>		
					
				</td>
					</tr>
			
									</table>
									
									
  </div>
  
  

  

  
<div id="fragment-11">	
						<table class="form-table">	
						
						
							<tr valign="top">
						<th scope="row">Цвет плавающего фона: </th>
						<td> 
						
						 <input type="text" value="<?php if ( isset( $sub_form['ab_bg_custom'] ) ) echo $sub_form['ab_bg_custom']; ?>" class="my-color-field" name="ab_bg_custom"/>        
                       
                       </td>
					</tr>
					
					<tr valign="top">
						<th scope="row">Прозрачность плавающего фона</th>
						<td>
					
					<select name="ab_flow_bg_opaque">
				<?php foreach ( $ab_opaque as $opaque => $opaque_bg ) : ?>
				<option value="<?php echo $opaque; ?>" <?php if ( $sub_form['ab_flow_bg_opaque'] == $opaque ) echo 'selected'; ?>><?php echo $opaque_bg; ?></option>
			<?php endforeach; ?>		
					
					</select>
					
						</td>
					</tr>
					
					
						<tr valign="top">
						<th scope="row">Загругление углов плавающего фона</th>
						<td>
		
					<select name="ab_flow_bg_round">
				<?php foreach ( $ab_border_round as $round => $round_bg ) : ?>
				<option value="<?php echo $round; ?>" <?php if ( $sub_form['ab_flow_bg_round'] == $round ) echo 'selected'; ?>><?php echo $round_bg; ?></option>
			<?php endforeach; ?>		
					
					</select>
					
						</td>
					</tr>
				
					
					
						</table>
						
						</div>	


 
 
  <div id="fragment-12">	
						<table class="form-table">	
						
						
					

			<tr valign="top">
						
						<th scope="row">Изображение/Видеофон/Слайды: </th>
						<td>
						
						
						
						<?php if ( $sub_form['ab_sub_form_fon_choose'] != '' ) {
				
					if ( $sub_form['ab_sub_form_fon_choose'] == 0 ) {
						$fonselected = ' checkfon';
						
					}
			
					elseif ( $sub_form['ab_sub_form_fon_choose'] == 1 ) {
						$fonselected1 = ' checkfon';
						
				    }
				    else  {
						$fonselected2 = ' checkfon';
						
				    }
				} ?>
						 
				<input type="radio" id="fonchoose0" name="ab_sub_form_fon_choose" value="0" <?php if ( $sub_form['ab_sub_form_fon_choose'] ==  '0' ) echo 'checked="checked"'; ?> /> <label>Изображение</label> &nbsp; &nbsp;
						 
						 <input type="radio" id="fonchoose1" name="ab_sub_form_fon_choose" value="1" <?php if ( $sub_form['ab_sub_form_fon_choose'] ==  '1' ) echo 'checked="checked"'; ?> /> <label>Видеофон</label> &nbsp; &nbsp;
						 
						 <input type="radio" id="fonchoose2" name="ab_sub_form_fon_choose" value="2" <?php if ( $sub_form['ab_sub_form_fon_choose'] ==  '2' ) echo 'checked="checked"'; ?> /> <label>Слайды</label> &nbsp; &nbsp;
						</td></tr>
						</table>
						
					<div id="fon_name" class="<?php echo $fonselected; ?>" style="display:none;">
					<table class="form-table" style="margin-top:0px;">
					<tr valign="top"><td style="width:200px; border-top:none !important;vertical-align:top;"><strong>Настройки фонового изображения: </strong></td><td style="border-top:none !important;">
					
					<input id="custom_bg" class="upload_bg" type="text" size="36" name="custom_bg" value="<?php if ( isset( $sub_form['custom_bg'] ) ) echo $sub_form['custom_bg']; ?>" /> 
    <input id="custom_bg_upload" class="upload_bg_button" type="button" value="Загрузить изображение" />
    <br>    
    
     <div class="screen2"></div>
   
  <?php if ( $sub_form['custom_bg'] != '' ) { echo '
		 <div class="screenshot1"><img src="'. $sub_form['custom_bg'].'"><a class="remove-image1">Удалить</a></div>';
		} ?>
		<br>
		<div style="clear:both;"></div>

	  <div style="margin-top:0px; float:left;">	
				<select name="repeat_bg">
				<?php foreach ( $repeat_bg as $repeat => $repear_r ) : ?>
				<option value="<?php echo $repeat; ?>" <?php if ( $sub_form['repeat_bg'] == $repeat ) echo 'selected'; ?>><?php echo $repear_r; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
					<div style="margin-top:0px; float:left;">	
				<select name="repeat_position">
				<?php foreach ( $repeat_position as $pos => $pos_rep ) : ?>
				<option value="<?php echo $pos; ?>" <?php if ( $sub_form['repeat_position'] == $pos ) echo 'selected'; ?>><?php echo $pos_rep; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
					
					<div style="margin-top:0px; float:left;">	
				<select name="background_size">
				<?php foreach ( $background_size as $pos => $pos_rep ) : ?>
				<option value="<?php echo $pos; ?>" <?php if ( $sub_form['background_size'] == $pos ) echo 'selected'; ?>><?php echo $pos_rep; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					<div style="margin-top:0px;">	
										<select name="ab_bg_opaque_image">
				<?php foreach ( $ab_opaque_image as $opaqueform => $opaqueform_bg ) : ?>
				<option value="<?php echo $opaqueform; ?>" <?php if ( $sub_form['ab_bg_opaque_image'] == $opaqueform ) echo 'selected'; ?>><?php echo $opaqueform_bg; ?></option>
			<?php endforeach; ?>		
					
					</select>
					
				</div>			
						   
					
						</td></tr>	
					</table></div>							
						
<div id="fon_name2" class="<?php echo $fonselected1; ?>" style="display:none;">	
<table class="form-table" style="margin-top:0px !important;">

<tr><th scope="row" style="border-top:none !important;">Настройки видеофона: </th><td style="border-top:none !important;">
					

				
						<strong>Ссылка на видео в mp4 формате)</strong><br>
						
						
							
							
							<input id="fon_video" class="upload_mp" type="text" size="36" name="fon_video" value="<?php if ( isset( $sub_form['fon_video'] ) ) echo $sub_form['fon_video']; ?>" /> 
    <input class="upload_mp_button" type="button" value="Загрузить видео" />
    <br>
    
						<div class="screenmp"></div>
						
   
  <?php if ( $sub_form['fon_video'] != '' ) {?>
		 <div class="screenshotmp"><img src="<?php echo $imageurl;?>videofon.png" style="width:30px; padding:5px 10px 5px 10px; background:#eee; border:1px solid #ccc;"><a class="remove-imagemp">Удалить</a></div>
		
		<?php ;} ?>	
							
							<div style="clear:both;"></div>
							
							<br>
							
							<strong>Ссылка на видео в webm формате</strong><br>							
							
							
						<input id="fon_video_webm" class="upload_webm" type="text" size="36" name="fon_video_webm" value="<?php if ( isset( $sub_form['fon_video_webm'] ) ) echo $sub_form['fon_video_webm']; ?>" /> 
    <input class="upload_webm_button" type="button" value="Загрузить видео" />
    
    
    <div class="screenwebm"></div>
						
   
  <?php if ( $sub_form['fon_video_webm'] != '' ) {?>
		 <div class="screenshotwebm"><img src="<?php echo $imageurl;?>videofon.png" style="width:30px; padding:5px 10px 5px 10px; background:#eee; border:1px solid #ccc;"><a class="remove-imagewebm">Удалить</a></div>
		
		<?php ;} ?>	
							
							<div style="clear:both;"></div>	
							
							
							
							<br>
							
							<strong>Ссылка на изображение (отображается если видео не проигрывается - слабый интернет и на планшетах)</strong><br>	
							
																				
							<input id="fon_video_img" class="upload_img" type="text" size="36" name="fon_video_img" value="<?php if ( isset( $sub_form['fon_video_img'] ) ) echo $sub_form['fon_video_img']; ?>" /> 
    <input class="upload_img_button" type="button" value="Загрузить изображение" />
    <div class="screenimg"></div>
    
    <?php if ( $sub_form['fon_video_img'] != '' ) {?>
		 <div class="screenshotimg"><img src="<?php echo $sub_form['fon_video_img'];?>" style="width:200px; padding:10px 10px 5px 10px; background:#eee; border:1px solid #ccc;"><a class="remove-imageimg">Удалить</a></div>
		 <?php ;} ?>
					      

												
							
</td>
</tr>
</table></div>



<div id="fon_name3" class="<?php echo $fonselected2; ?>" style="display:none;">	
<table class="form-table" style="margin-top:0px !important;">

<tr><th scope="row" style="border-top:none !important;">Настройки слайдов: </th><td style="border-top:none !important;">
	
	 <strong>Скорость смены слайдов:</strong>
					     <input type="text" name="slide_speed" value="<?php esc_attr_e($sub_form['slide_speed']); ?>" size="20"/> <br>(время указывается в миллисекундах. 1 секунда = 1000)

    <br><br>
     <strong>Время показа слайда:</strong>
					     <input type="text" name="slide_timeout" value="<?php esc_attr_e($sub_form['slide_timeout']); ?>" size="20"/> <br>(время указывается в миллисекундах. 1 секунда = 1000)
					     <br><br>
	
	<?php foreach ( $slide_number as $num => $sl_num ) : ?>

<script>
jQuery(document).ready(function($){
var custom_uploader;
$('.upload_bg_button_<?php echo $sl_num;?>').click(function(e) {
e.preventDefault();
if (custom_uploader) {
custom_uploader.open();
return;}
custom_uploader = wp.media.frames.file_frame = wp.media({
title: 'Choose Image',
button: {
text: 'Choose Image'
},
multiple: false
});
custom_uploader.on('select', function() {
attachment = custom_uploader.state().get('selection').first().toJSON();
$('.upload_bg_<?php echo $sl_num;?>').val(attachment.url);
$(".slide_<?php echo $sl_num;?>").after("<div class='screen_slide_<?php echo $sl_num;?>'><img src=" +attachment.url+" style='width:200px;'> <a class='remove-slide-<?php echo $sl_num;?>'>Удалить</a></div>   ");
});
custom_uploader.open();
});
$( ".remove-slide-<?php echo $sl_num;?>" ).click(function() {
  $( ".screen_slide_<?php echo $sl_num;?>" ).hide("blind", { direction: "up" }, "slow");
  $(".upload_bg_<?php echo $sl_num;?>").val("");
});
});
</script>
<style>
.remove-slide-<?php echo $sl_num;?>
{background:url(<?php echo $imageurl;?>ico-delete.png) no-repeat;
  width:16px;
   bottom:4px;
   display:block;
	float:left;
	padding:0;
	position:absolute;
	left:-4px;
	text-indent:-9999px;}
</style>

<div style="border-bottom:1px solid #ccc; margin-bottom:20px; padding:20px; background:#eee;">

<div style="margin-bottom:10px; font-weight:bold">Слайд №<?php echo $sl_num;?> </div>
<input id="slide_bg<?php echo $sl_num;?>" class="upload_bg_<?php echo $sl_num;?>" type="text" size="36" name="slide_bg<?php echo $sl_num;?>" value="<?php if ( isset( $sub_form['slide_bg'. $sl_num] ) ) echo $sub_form['slide_bg'. $sl_num]; ?>" /> 
    <input id="slide_bg_upload" class="upload_bg_button_<?php echo $sl_num;?>" type="button" value="Загрузить изображение" />
    <br> 
     <br> 
    
     <div class="slide_<?php echo $sl_num;?>"></div>
   
  <?php if ( $sub_form['slide_bg'. $sl_num] != '' ) { echo '
		 <div class="screen_slide_'. $sl_num.'"><img src="'. $sub_form['slide_bg'. $sl_num].'"><a class="remove-slide-'. $sl_num .'">Удалить</a></div>';
		} ?>
		
		<div style="clear:both;"></div>
		 <div style="margin-top:0px; float:left;">	
				<select name="repeat_bg<?php echo $sl_num;?>">
				<?php foreach ( $repeat_bg as $repeat => $repear_r ) : ?>
				<option value="<?php echo $repeat; ?>" <?php if ( $sub_form['repeat_bg'. $sl_num] == $repeat ) echo 'selected'; ?>><?php echo $repear_r; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
					<div style="margin-top:0px; float:left;">	
				<select name="repeat_position<?php echo $sl_num;?>">
				<?php foreach ( $repeat_position as $pos => $pos_rep ) : ?>
				<option value="<?php echo $pos; ?>" <?php if ( $sub_form['repeat_position'. $sl_num] == $pos ) echo 'selected'; ?>><?php echo $pos_rep; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					<div style="margin-top:0px; float:left;">	
				<select name="background_size_slide<?php echo $sl_num;?>">
				<?php foreach ( $background_size as $pos => $pos_rep ) : ?>
				<option value="<?php echo $pos; ?>" <?php if ( $sub_form['background_size_slide'. $sl_num] == $pos ) echo 'selected'; ?>><?php echo $pos_rep; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
					
					<div style="clear:both;"></div>
</div>	
		
		

<?php endforeach; ?>
	
	
	
				
</td>
</tr>
</table></div>







		  <table class="form-table" style="border:2px solid #000; margin-top:20px;">
		  
		  
		  

											
					<tr valign="top">
						<th scope="row">Граница общего фона блока (Стиль, Закругления, Цвет): </th>
						<td> 
						
						
					  <div style="margin-top:0px; float:left;">	
				<select name="ab_style_border">
				<?php foreach ( $ab_style_border as $border => $style_border ) : ?>
				<option value="<?php echo $border; ?>" <?php if ( $sub_form['ab_style_border'] == $border ) echo 'selected'; ?>><?php echo $style_border; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
					
					
					<div style="margin-top:0px; float:left;">	
				<select name="ab_border_round">
				<?php foreach ( $ab_border_round as $border_r => $round_border ) : ?>
				<option value="<?php echo $border_r; ?>" <?php if ( $sub_form['ab_border_round'] == $border_r ) echo 'selected'; ?>><?php echo $round_border; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	
						
						
	            <input type="text" value="<?php if ( isset( $sub_form['border_color'] ) ) echo $sub_form['border_color']; ?>" class="my-color-field" name="border_color"/>  
	         
	            	
	                    </td>
					</tr>
					
					
						<tr><td style="width:200px; border-top:none !important;vertical-align:top;"><strong>Цвет фона: </strong> </td><td style="border-top:none !important;">
						
						
					      <div style="margin-top:0px; float:left;">	
						<div> Тип градиента:</div> 
				<select name="ab_gradient">
				<?php foreach ( $ab_gradient as $gradient => $fon_gradient ) : ?>
				<option value="<?php echo $gradient; ?>" <?php if ( $sub_form['ab_gradient'] == $gradient ) echo 'selected'; ?>><?php echo $fon_gradient; ?></option>
			<?php endforeach; ?>		
					
					</select></div>	 
					<div style="margin-left:20px; float:left;">
					
 Цвет 1: <input type="text" value="<?php if ( isset( $sub_form['bg_color_sec'] ) ) echo $sub_form['bg_color_sec']; ?>" class="my-color-field" name="bg_color_sec"/>
					     <br>
					  
					Цвет 2: 
					<input type="text" value="<?php if ( isset( $sub_form['bg_color'] ) ) echo $sub_form['bg_color']; ?>" class="my-color-field" name="bg_color"/> 
                
					</div>  
					
					<div style="clear:both;"></div>
					
					
					<div style="clear:both; padding-top:10px;"></div>
						</td></tr>
					
					
					<tr valign="top">
						<th scope="row">Прозрачность цвета фона блока<br>
							<span style="font-weight:normal; font-size:12px;">(если "Не прозрачный", то цвет будет закрывать изображение/слайды/видео, если "100% прозрачность" - цвет не будет виден)</span>
							
							
						</th>
						 
						<td>
						
						<div style="margin-bottom:20px; ">
					
					Отметьте галочкой, если хотите сделать цвет поверх фона <input type="checkbox" name="bg_color_over" value="1" <?php if ( $sub_form['bg_color_over'] ) echo 'checked="checked"'; ?> />
					</div>
					
					<select name="ab_bg_opaque">
				<?php foreach ( $ab_opaque as $opaqueform => $opaqueform_bg ) : ?>
				<option value="<?php echo $opaqueform; ?>" <?php if ( $sub_form['ab_bg_opaque'] == $opaqueform ) echo 'selected'; ?>><?php echo $opaqueform_bg; ?></option>
			<?php endforeach; ?>		
					
					</select>
					
						</td>
					</tr>
						
</table>
  </div>


 <div id="fragment-13">	
						<table class="form-table">	
						
						
						
							  <tr valign="top">
						<th scope="row">Где показывать форму:</th>
						  <td colspan="2">								
						 <input type="radio" name="ab_show" value="0" <?php if ( $sub_form['ab_show'] ==  '0' ) echo 'checked="checked"'; ?> /> <label>Только на главной</label> <br>
						 <input type="radio" name="ab_show" value="1" <?php if ( $sub_form['ab_show'] ==  '1' ) echo 'checked="checked"'; ?> /> <label>На всех страницах</label> <br>	
						 <input type="radio" name="ab_show" value="2" <?php if ( $sub_form['ab_show'] ==  '2' ) echo 'checked="checked"'; ?> /> <label>На всех страницах, кроме главной</label> 
						  </td></tr>			
	
						
						
						
						
						   <tr valign="top">
						<th scope="row">Ширина блока:</th>
						  <td colspan="2">
							<select name="form_width">
				<?php foreach ( $form_width as $width => $width_form ) : ?>
				<option value="<?php echo $width; ?>" <?php if ( $sub_form['form_width'] == $width ) echo 'selected'; ?>><?php echo $width_form; ?></option>
			<?php endforeach; ?>		
					
					</select>
						  </td>
					</tr>	

						  
						  
						  
						  
						   <tr valign="top">
						<th scope="row">Высота блока:</th>
						  <td colspan="2">
							<input type="text" name="form_height" value="<?php esc_attr_e($sub_form['form_height']); ?>" size="5"/>
						  </td>
					</tr>	
						
						
							<tr valign="top">
						<th scope="row">Отступ блока сверху/снизу: </th>
						<td> 
						
						
сверху: <input type="text" size="5" name="ab_form_padding_top" value="<?php if ( isset( $sub_form['ab_form_padding_top'] ) ) echo $sub_form['ab_form_padding_top']; ?>" /> 
снизу:  <input type="text" size="5" name="ab_form_padding_bottom" value="<?php if ( isset( $sub_form['ab_form_padding_bottom'] ) ) echo $sub_form['ab_form_padding_bottom']; ?>" /> 
    
    
     </td>
					</tr>
						</table>

   

 </div>  

  		
	</div>
	
	<div style="padding-top:20px;">
					

<div style="float:right"><input type="submit" value="Сохранить настройки" class="button1 button-primary" name="submit" /></div>
</div>
						         						   
        </form>
        
        <form method="post" action="">
		<div style="text-align:left;paddingp-top:10px;">
			<input type="submit" name="update" id="reset" onClick="return confirmDefaults();" class="button-secondary" value="Сбросить настройки" />
			<input type="hidden" name="action" value="reset" />
		</div>
	</form>
        
        
     </div>
     

<?php
}
}
